<?xml version="1.0" encoding="utf-8"?>
<database name="workflow">
    <table name="APPLICATION">
        <vendor type="mysql">
            <parameter name="Name" value="APPLICATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="The application"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="APP_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_PARENT" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="APP_STATUS" type="VARCHAR" size="100" required="true" default=""/>
        <column name="APP_STATUS_ID" type="TINYINT" required="true" default="0"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_PROC_STATUS" type="VARCHAR" size="100" required="true" default=""/>
        <column name="APP_PROC_CODE" type="VARCHAR" size="100" required="true" default=""/>
        <column name="APP_PARALLEL" type="VARCHAR" size="32" required="true" default="NO"/>
        <column name="APP_INIT_USER" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_CUR_USER" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_INIT_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_FINISH_DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_UPDATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_DATA" type="LONGVARCHAR" required="true"/>
        <column name="APP_PIN" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_DURATION" type="DOUBLE" default="0"/>
        <column name="APP_DELAY_DURATION" type="DOUBLE" default="0"/>
        <column name="APP_DRIVE_FOLDER_UID" type="VARCHAR" size="128" default="" required="false"/>
        <column name="APP_ROUTING_DATA" type="LONGVARCHAR"/>
        <column name="PRO_ID" type="INTEGER" required="true" default="0"/>
        <column name="APP_INIT_USER_ID" type="INTEGER" required="true" default="0"/>
        <validator column="APP_STATUS">
            <rule name="validValues" value="DRAFT|TO_DO|PAUSED|COMPLETED|CANCELLED"
                  message="Please select a valid status."/>
        </validator>
        <index name="indexApp">
            <index-column name="PRO_UID"/>
            <index-column name="APP_STATUS"/>
            <index-column name="APP_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APPLICATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexApp"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="PRO_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
        <index name="indexAppNumber">
            <index-column name="APP_NUMBER"/>
            <vendor type="mysql">
                <parameter name="Table" value="APPLICATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppNumber"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppStatus">
            <index-column name="APP_STATUS"/>
            <vendor type="mysql">
                <parameter name="Table" value="APPLICATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppStatus"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppCreateDate">
            <index-column name="APP_CREATE_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="APPLICATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppCreateDate"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppStatusId">
            <index-column name="APP_STATUS_ID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APPLICATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppStatusId"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppInitUserId">
            <index-column name="APP_INIT_USER_ID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APPLICATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppInitUserId"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <fulltext name="indexAppTitle">
            <index-column name="APP_TITLE"/>
            <vendor type="mysql">
                <parameter name="Table" value="APPLICATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppTitle"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </fulltext>
        <unique name="INDEX_APP_NUMBER">
            <unique-column name="APP_NUMBER"/>
        </unique>
    </table>
    <table name="APP_SEQUENCE" idMethod="native">
        <column name="ID" type="INTEGER" required="true"/>
        <column name="APP_TYPE" type="VARCHAR" size="20" required="true" default="NORMAL"/>
    </table>
    <table name="APP_DELEGATION" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="APP_DELEGATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Delegation a task to user"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="DELEGATION_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="APP_NUMBER" type="INTEGER" required="false" default="0"/>
        <column name="DEL_PREVIOUS" type="INTEGER" required="true" default="0"/>
        <column name="DEL_LAST_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEL_TYPE" type="VARCHAR" size="32" required="true" default="NORMAL"/>
        <column name="DEL_THREAD" type="INTEGER" required="true" default="0"/>
        <column name="DEL_THREAD_STATUS" type="VARCHAR" size="32" required="true" default="OPEN"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_FINISH_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_TASK_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_RISK_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_DURATION" type="DOUBLE" default="0"/>
        <column name="DEL_QUEUE_DURATION" type="DOUBLE" default="0"/>
        <column name="DEL_DELAY_DURATION" type="DOUBLE" default="0"/>
        <column name="DEL_STARTED" type="TINYINT" required="false" default="0"/>
        <column name="DEL_FINISHED" type="TINYINT" required="false" default="0"/>
        <column name="DEL_DELAYED" type="TINYINT" required="false" default="0"/>
        <column name="DEL_DATA" type="LONGVARCHAR" required="true"/>
        <column name="APP_OVERDUE_PERCENTAGE" type="DOUBLE" required="true" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <column name="DEL_TITLE" type="VARCHAR" size="999" required="true"/>
        <column name="DEL_THREAD_STATUS_ID" type="INTEGER" required="true" default="0"/>
        <unique name="DELEGATION_ID">
            <unique-column name="DELEGATION_ID"/>
        </unique>
        <validator column="DEL_TYPE">
            <rule name="validValues" value="NORMAL|PARALLEL" message="Please select a valid status."/>
        </validator>
        <validator column="DEL_PRIORITY">
            <rule name="validValues" value="1|2|3|4|5" message="Please select a valid Priority."/>
        </validator>
        <validator column="DEL_THREAD_STATUS">
            <rule name="validValues" value="CLOSED|OPEN|PAUSED" message="Please select a valid status."/>
        </validator>
        <index name="INDEX_APP_NUMBER">
            <index-column name="APP_NUMBER"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
        <index name="INDEX_USR_UID">
            <index-column name="USR_UID"/>
        </index>
        <index name="INDEX_THREAD_STATUS_APP_NUMBER">
            <index-column name="DEL_THREAD_STATUS"/>
            <index-column name="APP_NUMBER"/>
        </index>
        <fulltext name="indexDelTitle">
            <index-column name="DEL_TITLE"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_DELEGATION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexDelTitle"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </fulltext>
    </table>
    <table name="APP_DOCUMENT">
        <vendor type="mysql">
            <parameter name="Name" value="APP_DOCUMENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="26"/>
            <parameter name="Avg_row_length" value="69"/>
            <parameter name="Data_length" value="2016"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="208"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 13:18:54"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Documents in an Application"/>
        </vendor>
        <column name="APP_DOC_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="APP_DOC_FILENAME" type="LONGVARCHAR" required="true"/>
        <column name="APP_DOC_TITLE" type="LONGVARCHAR"/>
        <column name="APP_DOC_COMMENT" type="LONGVARCHAR"/>
        <column name="DOC_VERSION" type="INTEGER" required="true" primaryKey="true" default="1"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="DOC_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DOC_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_DOC_TYPE" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_DOC_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_DOC_INDEX" type="INTEGER" required="true"/>
        <column name="FOLDER_UID" type="VARCHAR" size="32" default=""/>
        <column name="APP_DOC_PLUGIN" type="VARCHAR" size="150" default=""/>
        <column name="APP_DOC_TAGS" type="LONGVARCHAR" required="false"/>
        <column name="APP_DOC_STATUS" type="VARCHAR" size="32" required="true" default="ACTIVE"/>
        <column name="APP_DOC_STATUS_DATE" type="TIMESTAMP"/>
        <column name="APP_DOC_FIELDNAME" type="VARCHAR" size="150"/>
        <column name="APP_DOC_DRIVE_DOWNLOAD" type="LONGVARCHAR" required="false">
            <vendor type="mysql">
                <parameter name="Field" value="APP_DOC_DRIVE_DOWNLOAD"/>
                <parameter name="Type" value="MEDIUMTEXT"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="SYNC_WITH_DRIVE" type="VARCHAR" size="32" required="true" default="UNSYNCHRONIZED"/>
        <column name="SYNC_PERMISSIONS" type="LONGVARCHAR" required="false">
            <vendor type="mysql">
                <parameter name="Field" value="SYNC_PERMISSIONS"/>
                <parameter name="Type" value="MEDIUMTEXT"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>

        <validator column="APP_DOC_UID">
            <rule name="maxLength" value="32"
                  message="Application Document UID can be no larger than ${value} in size"/>
            <rule name="required" message="Application Document UID is required."/>
        </validator>
        <validator column="APP_UID">
            <rule name="maxLength" value="32" message="Application UID can be no larger than ${value} in size"/>
            <rule name="required" message="Application UID is required."/>
        </validator>
        <validator column="DEL_INDEX">
            <rule name="minValue" value="1" message="Delegation Index must be greater than 0"/>
            <rule name="required" message="Delegation Index is required."/>
        </validator>
        <validator column="DOC_UID">
            <rule name="maxLength" value="32" message="Document UID can be no larger than ${value} in size"/>
            <rule name="required" message="Document UID (building block) is required."/>
        </validator>
        <validator column="USR_UID">
            <rule name="maxLength" value="32" message="User UID can be no larger than ${value} in size"/>
            <rule name="required" message="User UID is required."/>
        </validator>
        <validator column="APP_DOC_TYPE">
            <rule name="validValues" value="INPUT|OUTPUT|ATTACHED|CASE_NOTE" message="Please select a valid document type."/>
            <rule name="required" message="Application Document Type is required."/>
        </validator>
        <validator column="APP_DOC_CREATE_DATE">
            <rule name="required" message="Application Document Creation Date is required."/>
        </validator>
        <validator column="APP_DOC_STATUS">
            <rule name="validValues" value="ACTIVE|DELETED"
                  message="Please select a valid document status (ACTIVE|DELETED)."/>
            <rule name="required" message="Application Document Status is required."/>
        </validator>
        <validator column="SYNC_WITH_DRIVE">
            <rule name="validValues" value="SYNCHRONIZED|UNSYNCHRONIZED|NO_EXIST_FILE_PM"
                  message="Please select a valid type."/>
            <rule name="required" message="Type is required."/>
        </validator>

        <index name="indexAppDocument">
            <index-column name="FOLDER_UID"/>
            <index-column name="APP_DOC_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_DOCUMENT"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppDocument"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="APP_DOCUMENT"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
        <index name="indexAppUid">
            <index-column name="APP_UID"/>
        </index>
        <index name="indexDocId">
            <index-column name="DOC_ID"/>
        </index>
        <index name="indexAppUidDocUidDocVersionDocType">
            <index-column name="APP_UID"/>
            <index-column name="DOC_UID"/>
            <index-column name="DOC_VERSION"/>
            <index-column name="APP_DOC_TYPE"/>
        </index>
        <index name="indexFolderUidDocStatus">
            <index-column name="FOLDER_UID"/>
            <index-column name="APP_DOC_STATUS"/>
        </index>
    </table>
    <table name="APP_MESSAGE" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="APP_MESSAGE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:21:20"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Messages in an Application"/>
        </vendor>
        <column name="APP_MSG_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="APP_MSG_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="MSG_UID" type="VARCHAR" size="32"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="APP_MSG_TYPE" type="VARCHAR" size="100" required="true" default=""/>
        <column name="APP_MSG_TYPE_ID" type="TINYINT" required="false" default="0"/>
        <column name="APP_MSG_SUBJECT" type="VARCHAR" size="998" required="true" default=""/>
        <column name="APP_MSG_FROM" type="VARCHAR" size="100" required="true" default=""/>
        <column name="APP_MSG_TO" type="LONGVARCHAR" required="true"/>
        <column name="APP_MSG_BODY" type="LONGVARCHAR" required="true"/>
        <column name="APP_MSG_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_MSG_CC" type="LONGVARCHAR" required="false"/>
        <column name="APP_MSG_BCC" type="LONGVARCHAR" required="false"/>
        <column name="APP_MSG_TEMPLATE" type="LONGVARCHAR" required="false"/>
        <column name="APP_MSG_STATUS" type="VARCHAR" size="20"/>
        <column name="APP_MSG_STATUS_ID" type="TINYINT" required="false" default="0"/>
        <column name="APP_MSG_ATTACH" type="LONGVARCHAR" required="false"/>
        <column name="APP_MSG_SEND_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_MSG_SHOW_MESSAGE" type="TINYINT" required="true" default="1"/>
        <column name="APP_MSG_ERROR" type="LONGVARCHAR" required="false"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <column name="APP_NUMBER" type="INTEGER" required="false" default="0"/>
        <unique name="APP_MSG_ID">
            <unique-column name="APP_MSG_ID"/>
        </unique>
        <index name="indexAppMsgId">
            <index-column name="APP_MSG_ID"/>
        </index>
        <index name="indexForAppUid">
            <index-column name="APP_UID"/>
        </index>
        <index name="indexForMsgStatus">
            <index-column name="APP_MSG_STATUS"/>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
        <index name="INDEX_APP_NUMBER">
            <index-column name="APP_NUMBER"/>
        </index>
        <index name="INDEX_APP_MSG_TYPE_ID">
            <index-column name="APP_MSG_TYPE_ID"/>
        </index>
        <index name="INDEX_APP_MSG_STATUS_ID">
            <index-column name="APP_MSG_STATUS_ID"/>
        </index>
        <index name="indexAppUidSendDate">
            <index-column name="APP_UID"/>
            <index-column name="APP_MSG_SEND_DATE"/>
        </index>
        <index name="indexAppMsgDate">
            <index-column name="APP_MSG_DATE"/>
        </index>
    </table>
    <table name="APP_OWNER">
        <vendor type="mysql">
            <parameter name="Name" value="APP_OWNER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:21:20"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="OWN_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
    </table>
    <table name="CONFIGURATION">
        <vendor type="mysql">
            <parameter name="Name" value="CONFIGURATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="11"/>
            <parameter name="Avg_row_length" value="615"/>
            <parameter name="Data_length" value="6768"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-09 11:48:16"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Stores the users, processes and/or applications configuration"/>
        </vendor>
        <column name="CFG_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="OBJ_UID" type="VARCHAR" size="128" required="true" primaryKey="true" default=""/>
        <column name="CFG_VALUE" type="LONGVARCHAR" required="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <index name="INDEX_CFG_UID">
            <index-column name="CFG_UID"/>
        </index>
        <index name="INDEX_USR_UID">
            <index-column name="USR_UID"/>
        </index>
    </table>
    <table name="CONTENT">
        <vendor type="mysql">
            <parameter name="Name" value="CONTENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="373"/>
            <parameter name="Avg_row_length" value="74"/>
            <parameter name="Data_length" value="27748"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="16384"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="CON_CATEGORY" type="VARCHAR" size="30" required="true" primaryKey="true" default=""/>
        <column name="CON_PARENT" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="CON_ID" type="VARCHAR" size="100" required="true" primaryKey="true" default=""/>
        <column name="CON_LANG" type="VARCHAR" size="10" required="true" primaryKey="true" default=""/>
        <column name="CON_VALUE" type="LONGVARCHAR" required="true"/>
        <validator column="CON_LANG">
            <rule name="maxLength" value="5" message="Language can be no larger than ${value} in size"/>
            <rule name="required" message="Language is required."/>
        </validator>
        <index name="indexUidLang">
            <index-column name="CON_ID"/>
            <index-column name="CON_LANG"/>
        </index>
        <index name="indexCatParUidLang">
            <index-column name="CON_CATEGORY"/>
            <index-column name="CON_PARENT"/>
            <index-column name="CON_ID"/>
            <index-column name="CON_LANG"/>
        </index>
        <index name="indexUid">
            <index-column name="CON_ID"/>
            <index-column name="CON_CATEGORY"/>
            <index-column name="CON_LANG"/>
            <vendor type="mysql">
                <parameter name="Table" value="CONTENT"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexUid"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="CONTENT"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>
    <table name="DEPARTMENT">
        <vendor type="mysql">
            <parameter name="Name" value="DEPARTMENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="13"/>
            <parameter name="Avg_row_length" value="20"/>
            <parameter name="Data_length" value="260"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="3072"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-05 17:31:33"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Departments"/>
        </vendor>
        <column name="DEP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEP_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="DEP_PARENT" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEP_MANAGER" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEP_LOCATION" type="INTEGER" required="true" default="0"/>
        <column name="DEP_STATUS" type="VARCHAR" size="10" required="true" default="ACTIVE"/>
        <column name="DEP_REF_CODE" type="VARCHAR" size="50" required="true" default=""/>
        <column name="DEP_LDAP_DN" type="VARCHAR" size="255" required="true" default=""/>
        <index name="DEP_BYPARENT">
            <index-column name="DEP_PARENT"/>
            <vendor type="mysql">
                <parameter name="Table" value="DEPARTMENT"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="DEP_BYPARENT"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="DEP_PARENT"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
        <index name="BY_DEP_LDAP_DN">
            <index-column name="DEP_LDAP_DN"/>
            <vendor type="mysql">
                <parameter name="Table" value="DEPARTMENT"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="BY_DEP_LDAP_DN"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="DEP_LDAP_DN"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>
    <table name="DYNAFORM" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="DYNAFORM"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="19"/>
            <parameter name="Avg_row_length" value="68"/>
            <parameter name="Data_length" value="1292"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-05 13:42:41"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Forms required"/>
        </vendor>
        <column name="DYN_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DYN_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="DYN_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="DYN_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="DYN_TYPE" type="VARCHAR" size="20" required="true" default="xmlform"/>
        <column name="DYN_FILENAME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="DYN_CONTENT" type="LONGVARCHAR"/>
        <column name="DYN_LABEL" type="LONGVARCHAR"/>
        <column name="DYN_VERSION" type="INTEGER" required="true"/>
        <column name="DYN_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <unique name="INDEX_DYN_ID">
            <unique-column name="DYN_ID"/>
        </unique>
        <index name="INDEX_PRO_UID">
            <index-column name="PRO_UID"/>
        </index>
        <validator column="DYN_TYPE">
            <rule name="validValues" value="xmlform|grid" message="Please select a valid dynaform type."/>
        </validator>
    </table>
    <table name="GROUPWF" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="GROUPWF"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="4"/>
            <parameter name="Avg_row_length" value="36"/>
            <parameter name="Data_length" value="144"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 05:23:30"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="GRP_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="GRP_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="GRP_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="GRP_STATUS" type="CHAR" size="8" required="true" default="ACTIVE"/>
        <column name="GRP_STATUS_ID" type="INTEGER" required="false" default="0"/>
        <column name="GRP_LDAP_DN" type="VARCHAR" size="255" required="true" default=""/>
        <column name="GRP_UX" type="VARCHAR" size="128" default="NORMAL"/>
        <validator column="GRP_STATUS">
            <rule name="validValues" value="ACTIVE|INACTIVE" message="Please select a valid status."/>
            <rule name="required" message="Application Document UID is required."/>
        </validator>
        <unique name="GRP_ID">
            <unique-column name="GRP_ID" />
        </unique>
    </table>
    <table name="GROUP_USER">
        <vendor type="mysql">
            <parameter name="Name" value="GROUP_USER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="4"/>
            <parameter name="Avg_row_length" value="48"/>
            <parameter name="Data_length" value="192"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 05:23:39"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="GRP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="0"/>
        <column name="GRP_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <validator column="GRP_UID">
            <rule name="maxLength" value="32" message="Group UID can be no larger than ${value} in size"/>
            <rule name="required" message="Group UID is required."/>
        </validator>
        <validator column="USR_UID">
            <rule name="maxLength" value="32" message="User UID can be no larger than ${value} in size"/>
            <rule name="required" message="User UID is required."/>
        </validator>
        <index name="indexForUsrUid">
            <index-column name="USR_UID"/>
        </index>
        <index name="INDEX_GRP_ID">
            <index-column name="GRP_ID"/>
        </index>
    </table>
    <table name="HOLIDAY" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="HOLIDAY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value="1"/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:21:20"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="HLD_UID" type="INTEGER" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="HLD_DATE" type="VARCHAR" size="10" required="true" default="0000-00-00"/>
        <column name="HLD_DESCRIPTION" type="VARCHAR" size="200" required="true" default=""/>
    </table>
    <table name="INPUT_DOCUMENT" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="INPUT_DOCUMENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="6"/>
            <parameter name="Avg_row_length" value="56"/>
            <parameter name="Data_length" value="336"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 08:00:36"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Documentation required"/>
        </vendor>
        <column name="INP_DOC_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="INP_DOC_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="INP_DOC_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="INP_DOC_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="INP_DOC_FORM_NEEDED" type="VARCHAR" size="20" required="true" default="REAL"/>
        <column name="INP_DOC_ORIGINAL" type="VARCHAR" size="20" required="true" default="COPY"/>
        <column name="INP_DOC_PUBLISHED" type="VARCHAR" size="20" required="true" default="PRIVATE"/>
        <column name="INP_DOC_VERSIONING" type="TINYINT" required="true" default="0"/>
        <column name="INP_DOC_DESTINATION_PATH" type="LONGVARCHAR" required="false"/>
        <column name="INP_DOC_TAGS" type="LONGVARCHAR" required="false"/>
        <column name="INP_DOC_TYPE_FILE" type="VARCHAR" size="200" required="false" default="*.*"/>
        <column name="INP_DOC_MAX_FILESIZE" type="INTEGER" required="true" default="0"/>
        <column name="INP_DOC_MAX_FILESIZE_UNIT" type="VARCHAR" size="2" required="true" default="KB"/>
        <unique name="INDEX_INP_DOC_ID">
            <unique-column name="INP_DOC_ID"/>
        </unique>
        <validator column="INP_DOC_UID">
            <rule name="maxLength" value="32" message="Input Document UID can be no larger than ${value} in size"/>
            <rule name="required" message="Input Document UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="INP_DOC_FORM_NEEDED">
            <rule name="validValues" value="VIRTUAL|REAL|VREAL" message="Please select a valid document format."/>
            <rule name="required" message="Document format is required."/>
        </validator>
        <validator column="INP_DOC_ORIGINAL">
            <rule name="validValues" value="COPY|ORIGINAL|COPYLEGAL|FINAL"
                  message="Please select a valid document format type."/>
            <rule name="required" message="Document format type is required."/>
        </validator>
        <validator column="INP_DOC_PUBLISHED">
            <rule name="validValues" value="PUBLIC|PRIVATE" message="Please select a valid document access."/>
            <rule name="required" message="Document access is required."/>
        </validator>
    </table>
    <table name="ISO_COUNTRY">
        <vendor type="mysql">
            <parameter name="Name" value="ISO_COUNTRY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="243"/>
            <parameter name="Avg_row_length" value="26"/>
            <parameter name="Data_length" value="6424"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:53:28"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="IC_UID" type="VARCHAR" size="2" required="true" primaryKey="true" default=""/>
        <column name="IC_NAME" type="VARCHAR" size="255"/>
        <column name="IC_SORT_ORDER" type="VARCHAR" size="255"/>
    </table>
    <table name="ISO_LOCATION">
        <vendor type="mysql">
            <parameter name="Name" value="ISO_LOCATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="54672"/>
            <parameter name="Avg_row_length" value="35"/>
            <parameter name="Data_length" value="1954904"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="478208"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:54:30"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="IC_UID" type="VARCHAR" size="2" required="true" primaryKey="true" default=""/>
        <column name="IL_UID" type="VARCHAR" size="5" required="true" primaryKey="true" default=""/>
        <column name="IL_NAME" type="VARCHAR" size="255"/>
        <column name="IL_NORMAL_NAME" type="VARCHAR" size="255"/>
        <column name="IS_UID" type="VARCHAR" size="4"/>
    </table>
    <table name="ISO_SUBDIVISION">
        <vendor type="mysql">
            <parameter name="Name" value="ISO_SUBDIVISION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="971"/>
            <parameter name="Avg_row_length" value="24"/>
            <parameter name="Data_length" value="24028"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="11264"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:54:31"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="IC_UID" type="VARCHAR" size="2" required="true" primaryKey="true" default=""/>
        <column name="IS_UID" type="VARCHAR" size="4" required="true" primaryKey="true" default=""/>
        <column name="IS_NAME" type="VARCHAR" size="255" required="true" default=""/>
    </table>
    <table name="LANGUAGE">
        <vendor type="mysql">
            <parameter name="Name" value="LANGUAGE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="136"/>
            <parameter name="Avg_row_length" value="37"/>
            <parameter name="Data_length" value="5096"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:31:47"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="LAN_ID" type="VARCHAR" size="4" required="true" default="" primaryKey="true"/>
        <column name="LAN_LOCATION" type="VARCHAR" size="4" required="true" default=""/>
        <column name="LAN_NAME" type="VARCHAR" size="30" required="true" default=""/>
        <column name="LAN_NATIVE_NAME" type="VARCHAR" size="30" required="true" default=""/>
        <column name="LAN_DIRECTION" type="CHAR" size="1" required="true" default="L"/>
        <column name="LAN_WEIGHT" type="INTEGER" required="true" default="0"/>
        <column name="LAN_ENABLED" type="CHAR" size="1" required="true" default="1"/>
        <column name="LAN_CALENDAR" type="VARCHAR" size="30" required="true" default="GREGORIAN"/>
        <validator column="LAN_DIRECTION">
            <rule name="validValues" value="L|R" message="Please select a valid Language Direccion."/>
            <rule name="required" message="Document access is required."/>
        </validator>
        <validator column="LAN_ENABLED">
            <rule name="validValues" value="1|0" message="Please select a valid Language Direccion."/>
            <rule name="required" message="Document access is required."/>
        </validator>
    </table>
    <table name="LEXICO">
        <vendor type="mysql">
            <parameter name="Name" value="LEXICO"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:21:20"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="LEXICOS, una tabla que contiene tablas"/>
        </vendor>
        <column name="LEX_TOPIC" type="VARCHAR" size="64" required="true" primaryKey="true" default=""/>
        <column name="LEX_KEY" type="VARCHAR" size="128" required="true" primaryKey="true" default=""/>
        <column name="LEX_VALUE" type="VARCHAR" size="128" required="true" default=""/>
        <column name="LEX_CAPTION" type="VARCHAR" size="128" required="true" default=""/>
    </table>
    <table name="OUTPUT_DOCUMENT" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="OUTPUT_DOCUMENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="4"/>
            <parameter name="Avg_row_length" value="36"/>
            <parameter name="Data_length" value="144"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 08:01:52"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="OUT_DOC_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="OUT_DOC_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="OUT_DOC_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="OUT_DOC_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="OUT_DOC_FILENAME" type="LONGVARCHAR"/>
        <column name="OUT_DOC_TEMPLATE" type="LONGVARCHAR"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="OUT_DOC_REPORT_GENERATOR" type="VARCHAR" size="10" required="true" default="HTML2PDF"/>
        <column name="OUT_DOC_LANDSCAPE" type="TINYINT" required="true" default="0"/>
        <column name="OUT_DOC_MEDIA" type="VARCHAR" size="10" required="true" default="Letter"/>
        <column name="OUT_DOC_LEFT_MARGIN" type="INTEGER" default="30"/>
        <column name="OUT_DOC_RIGHT_MARGIN" type="INTEGER" default="15"/>
        <column name="OUT_DOC_TOP_MARGIN" type="INTEGER" default="15"/>
        <column name="OUT_DOC_BOTTOM_MARGIN" type="INTEGER" default="15"/>
        <column name="OUT_DOC_GENERATE" type="VARCHAR" size="10" required="true" default="BOTH"/>
        <column name="OUT_DOC_TYPE" type="VARCHAR" size="32" required="true" default="HTML"/>
        <column name="OUT_DOC_CURRENT_REVISION" type="INTEGER" default="0"/>
        <column name="OUT_DOC_FIELD_MAPPING" type="LONGVARCHAR" required="false"/>
        <column name="OUT_DOC_VERSIONING" type="TINYINT" required="true" default="0"/>
        <column name="OUT_DOC_DESTINATION_PATH" type="LONGVARCHAR" required="false"/>
        <column name="OUT_DOC_TAGS" type="LONGVARCHAR" required="false"/>
        <column name="OUT_DOC_PDF_SECURITY_ENABLED" type="TINYINT" required="false" default="0"/>
        <column name="OUT_DOC_PDF_SECURITY_OPEN_PASSWORD" type="VARCHAR" size="32" required="false" default=""/>
        <column name="OUT_DOC_PDF_SECURITY_OWNER_PASSWORD" type="VARCHAR" size="32" required="false" default=""/>
        <column name="OUT_DOC_PDF_SECURITY_PERMISSIONS" type="VARCHAR" size="150" required="false" default=""/>
        <column name="OUT_DOC_OPEN_TYPE" type="INTEGER" default="1"/>
        <column name="OUT_DOC_HEADER" type="LONGVARCHAR" required="false"/>
        <column name="OUT_DOC_FOOTER" type="LONGVARCHAR" required="false"/>
        <unique name="INDEX_OUT_DOC_ID">
            <unique-column name="OUT_DOC_ID"/>
        </unique>
        <validator column="OUT_DOC_UID">
            <rule name="maxLength" value="32" message="Output Document UID can be no larger than ${value} in size"/>
            <rule name="required" message="Output Document UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="OUT_DOC_GENERATE">
            <rule name="validValues" value="BOTH|DOC|PDF" message="Please select a outputdocument."/>
        </validator>
        <validator column="OUT_DOC_TYPE">
            <rule name="validValues" value="HTML|ITEXT|JRXML|ACROFORM"
                  message="Please select a valid Output Document Type."/>
        </validator>
    </table>
    <table name="PROCESS" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="PROCESS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="2"/>
            <parameter name="Avg_row_length" value="68"/>
            <parameter name="Data_length" value="328"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="192"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 10:38:26"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Store process Information"/>
        </vendor>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="PRO_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="PRO_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="PRO_PARENT" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="PRO_TIME" type="DOUBLE" required="true" default="1"/>
        <column name="PRO_TIMEUNIT" type="VARCHAR" size="20" required="true" null="yes" default="DAYS"/>
        <column name="PRO_STATUS" type="VARCHAR" size="20" required="true" default="ACTIVE"/>
        <column name="PRO_STATUS_ID" type="INTEGER" required="false" default="1"/>
        <column name="PRO_TYPE_DAY" type="CHAR" size="1" required="true" default="0"/>
        <column name="PRO_TYPE" type="VARCHAR" size="256" required="true" default="NORMAL"/>
        <column name="PRO_ASSIGNMENT" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="PRO_SHOW_MAP" type="TINYINT" required="true" default="1"/>
        <column name="PRO_SHOW_MESSAGE" type="TINYINT" required="true" default="1"/>
        <column name="PRO_SUBPROCESS" type="TINYINT" required="true" default="0"/>
        <column name="PRO_TRI_CREATE" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_TRI_OPEN" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_TRI_DELETED" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_TRI_CANCELED" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_TRI_PAUSED" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_TRI_REASSIGNED" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_TRI_UNPAUSED" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_TYPE_PROCESS" type="VARCHAR" size="32" required="true" default="PUBLIC"/>
        <column name="PRO_SHOW_DELEGATE" type="TINYINT" required="true" default="1"/>
        <column name="PRO_SHOW_DYNAFORM" type="TINYINT" required="true" default="0"/>
        <column name="PRO_CATEGORY" type="VARCHAR" size="48" required="true" default=""/>
        <column name="PRO_SUB_CATEGORY" type="VARCHAR" size="48" required="true" default=""/>
        <column name="PRO_INDUSTRY" type="INTEGER" required="true" default="1"/>
        <column name="PRO_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="PRO_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="PRO_CREATE_USER" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_HEIGHT" type="INTEGER" required="true" default="5000"/>
        <column name="PRO_WIDTH" type="INTEGER" required="true" default="10000"/>
        <column name="PRO_TITLE_X" type="INTEGER" required="true" default="0"/>
        <column name="PRO_TITLE_Y" type="INTEGER" required="true" default="6"/>
        <column name="PRO_DEBUG" type="INTEGER" required="true" default="0"/>
        <column name="PRO_DYNAFORMS" type="LONGVARCHAR" required="false"/>
        <column name="PRO_DERIVATION_SCREEN_TPL" type="VARCHAR" size="128" default="" required="false"/>
        <column name="PRO_COST" type="DECIMAL" size="7,2" required="false" default="0"/>
        <column name="PRO_UNIT_COST" type="VARCHAR" size="50" required="false" default=""/>
        <column name="PRO_ITEE" type="INTEGER" required="true" default="0"/>
        <column name="PRO_ACTION_DONE" type="LONGVARCHAR"/>
        <column name="CATEGORY_ID" type="INTEGER" required="false" default="0"/>
        <unique name="INDEX_PRO_ID">
            <unique-column name="PRO_ID"/>
        </unique>
        <index name="indexProId">
            <index-column name="PRO_ID"/>
            <vendor type="mysql">
                <parameter name="Table" value="PROCESS"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexProId"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexProUid">
            <index-column name="PRO_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="PROCESS"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexProUid"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexProStatus">
            <index-column name="PRO_STATUS"/>
            <vendor type="mysql">
                <parameter name="Table" value="PROCESS"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexProStatus"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexProStatusId">
            <index-column name="PRO_STATUS_ID"/>
            <vendor type="mysql">
                <parameter name="Table" value="PROCESS"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexProStatusId"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <validator column="PRO_TIMEUNIT">
            <rule name="validValues" value="WEEKS|MONTHS|DAYS|HOURS|MINUTES"
                  message="Please select a valid Time Unit."/>
        </validator>
        <validator column="PRO_STATUS">
            <rule name="validValues" value="ACTIVE|INACTIVE|DISABLED" message="Please select a valid Process Status."/>
        </validator>
        <validator column="PRO_ASSIGNMENT">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid Process Assignment"/>
        </validator>
    </table>
    <table name="PROCESS_OWNER">
        <vendor type="mysql">
            <parameter name="Name" value="PROCESS_OWNER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-04 11:21:20"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="OWN_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
    </table>
    <table name="REPORT_TABLE">
        <vendor type="mysql">
            <parameter name="Name" value="REPORT_TABLE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-03-17 16:46:20"/>
            <parameter name="Update_time" value="2008-03-17 16:46:20"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="REP_TAB_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="REP_TAB_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="REP_TAB_NAME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="REP_TAB_TYPE" type="VARCHAR" size="6" required="true" default=""/>
        <column name="REP_TAB_GRID" type="VARCHAR" size="150" required="false" default=""/>
        <column name="REP_TAB_CONNECTION" type="VARCHAR" size="32" required="true" default=""/>
        <column name="REP_TAB_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="REP_TAB_STATUS" type="CHAR" size="8" required="true" default="ACTIVE"/>
        <validator column="REP_TAB_UID">
            <rule name="maxLength" value="32" message="Report table UID can be no larger than ${value} in size"/>
            <rule name="required" message="Report table UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="REP_TAB_NAME">
            <rule name="maxLength" value="100" message="Report table name can be no larger than ${value} in size"/>
            <rule name="required" message="Report table name is required."/>
        </validator>
        <validator column="REP_TAB_TYPE">
            <rule name="validValues" value="NORMAL|GRID" message="Please select a valid type."/>
            <rule name="required" message="Report table type is required."/>
        </validator>
        <validator column="REP_TAB_CONNECTION">
            <rule name="maxLength" value="10" message="Report table connection can be no larger than ${value} in size"/>
            <rule name="required" message="Report table connection is required."/>
        </validator>
        <validator column="REP_TAB_STATUS">
            <rule name="validValues" value="ACTIVE|INACTIVE" message="Please select a valid status."/>
            <rule name="required" message="Report table status is required."/>
        </validator>
        <index name="indexProcessStatus">
            <index-column name="PRO_UID"/>
            <index-column name="REP_TAB_STATUS"/>
        </index>
    </table>
    <table name="REPORT_VAR">
        <vendor type="mysql">
            <parameter name="Name" value="REPORT_VAR"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-03-17 16:48:30"/>
            <parameter name="Update_time" value="2008-03-17 16:48:30"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="REP_VAR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="REP_TAB_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="REP_VAR_NAME" type="VARCHAR" size="255" required="true" default=""/>
        <column name="REP_VAR_TYPE" type="VARCHAR" size="20" required="true" default=""/>
        <validator column="REP_VAR_UID">
            <rule name="maxLength" value="32" message="Report variable UID can be no larger than ${value} in size"/>
            <rule name="required" message="Report variable UID is required."/>
        </validator>
        <validator column="REP_TAB_UID">
            <rule name="maxLength" value="32" message="Report table UID can be no larger than ${value} in size"/>
            <rule name="required" message="Report variable UID is required."/>
        </validator>
        <validator column="REP_VAR_NAME">
            <rule name="maxLength" value="255" message="Report variable name can be no larger than ${value} in size"/>
            <rule name="required" message="Report variable name is required."/>
        </validator>
        <validator column="REP_VAR_TYPE">
            <rule name="maxLength" value="20" message="Report variable type can be no larger than ${value} in size"/>
            <rule name="required" message="Report variable type is required."/>
        </validator>
    </table>
    <table name="ROUTE">
        <vendor type="mysql">
            <parameter name="Name" value="ROUTE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="14"/>
            <parameter name="Avg_row_length" value="117"/>
            <parameter name="Data_length" value="1644"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 07:57:41"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Differents flows for a flow in business process"/>
        </vendor>
        <column name="ROU_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="ROU_PARENT" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="ROU_NEXT_TASK" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="ROU_CASE" type="INTEGER" required="true" default="0"/>
        <column name="ROU_TYPE" type="VARCHAR" size="25" required="true" default="SEQUENTIAL"/>
        <column name="ROU_DEFAULT" type="INTEGER" default="0" required="true"/>
        <column name="ROU_CONDITION" type="VARCHAR" size="512" required="true" default=""/>
        <column name="ROU_TO_LAST_USER" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="ROU_OPTIONAL" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="ROU_SEND_EMAIL" type="VARCHAR" size="20" required="true" default="TRUE"/>
        <column name="ROU_SOURCEANCHOR" type="INTEGER" default="1"/>
        <column name="ROU_TARGETANCHOR" type="INTEGER" default="0"/>
        <column name="ROU_TO_PORT" type="INTEGER" required="true" default="1"/>
        <column name="ROU_FROM_PORT" type="INTEGER" required="true" default="2"/>
        <column name="ROU_EVN_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="GAT_UID" type="VARCHAR" size="32" required="true" default=""/>
        <validator column="ROU_UID">
            <rule name="maxLength" value="32" message="Route UID can be no larger than ${value} in size"/>
            <rule name="required" message="Route UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="TAS_UID">
            <rule name="maxLength" value="32" message="Task UID can be no larger than ${value} in size"/>
            <rule name="required" message="Task UID is required."/>
        </validator>
        <validator column="ROU_NEXT_TASK">
            <rule name="required" message="Next Task UID is required."/>
        </validator>
        <validator column="ROU_TYPE">
            <rule name="validValues"
                  value="SEQUENTIAL|EVALUATE|SELECT|PARALLEL|PARALLEL-BY-EVALUATION|SEC-JOIN|DISCRIMINATOR"
                  message="Please select a valid Route Type."/>
            <rule name="required" message="Route type is required."/>
        </validator>
        <validator column="ROU_DEFAULT">
            <rule name="validValues" value="0|1" message="Please enter a valid value for ROU_DEFAULT"/>
        </validator>
        <validator column="ROU_TO_LAST_USER">
            <rule name="validValues" value="FALSE|TRUE" message="Please select a valid value for ROU_TO_LAST_USER ."/>
        </validator>
        <validator column="ROU_OPTIONAL">
            <rule name="validValues" value="FALSE|TRUE" message="Please select a valid value for ROU_OPTIONAL ."/>
        </validator>
        <validator column="ROU_SEND_EMAIL">
            <rule name="validValues" value="FALSE|TRUE" message="Please select a valid value for ROU_SEND_EMAIL."/>
        </validator>
    </table>
    <table name="STEP">
        <vendor type="mysql">
            <parameter name="Name" value="STEP"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="18"/>
            <parameter name="Avg_row_length" value="106"/>
            <parameter name="Data_length" value="1956"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="40"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 09:05:02"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="STEP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="STEP_TYPE_OBJ" type="VARCHAR" size="20" required="true" default="DYNAFORM"/>
        <column name="STEP_UID_OBJ" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="STEP_CONDITION" type="LONGVARCHAR" required="true"/>
        <column name="STEP_POSITION" type="INTEGER" required="true" default="0"/>
        <column name="STEP_MODE" type="VARCHAR" size="10" required="false" default="EDIT"/>
        <validator column="STEP_TYPE_OBJ">
            <rule name="validValues" value="DYNAFORM|INPUT_DOCUMENT|MESSAGE|OUTPUT_DOCUMENT|EXTERNAL"
                  message="Please select a valid value for STEP_TYPE_OBJ."/>
        </validator>
        <index name="indexTasUidTypeUidObj">
            <index-column name="TAS_UID"/>
            <index-column name="STEP_TYPE_OBJ"/>
            <index-column name="STEP_UID_OBJ"/>
        </index>
        <index name="indexProUidTasUidPosition">
            <index-column name="PRO_UID"/>
            <index-column name="TAS_UID"/>
            <index-column name="STEP_POSITION"/>
        </index>
    </table>
    <table name="STEP_TRIGGER">
        <vendor type="mysql">
            <parameter name="Name" value="STEP_TRIGGER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="19"/>
            <parameter name="Avg_row_length" value="66"/>
            <parameter name="Data_length" value="1268"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="3072"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 15:20:26"/>
            <parameter name="Update_time" value="2007-12-07 09:55:06"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="STEP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="TRI_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="ST_TYPE" type="VARCHAR" size="20" required="true" primaryKey="true" default=""/>
        <column name="ST_CONDITION" type="LONGVARCHAR" required="true"/>
        <column name="ST_POSITION" type="INTEGER" required="true" default="0"/>
        <validator column="ST_TYPE">
            <rule name="validValues" value="BEFORE|AFTER"
                  message="Please select a valid value for Trigger Type ST_TYPE."/>
        </validator>
    </table>
    <table name="SWIMLANES_ELEMENTS">
        <vendor type="mysql">
            <parameter name="Name" value="SWIMLANES_ELEMENTS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="10"/>
            <parameter name="Avg_row_length" value="43"/>
            <parameter name="Data_length" value="436"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 10:38:35"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="SWI_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SWI_TYPE" type="VARCHAR" size="20" required="true" default="LINE"/>
        <column name="SWI_X" type="INTEGER" required="true" default="0"/>
        <column name="SWI_Y" type="INTEGER" required="true" default="0"/>
        <column name="SWI_WIDTH" type="INTEGER" required="true" default="0"/>
        <column name="SWI_HEIGHT" type="INTEGER" required="true" default="0"/>
        <column name="SWI_NEXT_UID" type="VARCHAR" size="32" required="false" default="">
            <vendor type="mysql">
                <parameter name="Field" value="SWI_NEXT_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <validator column="SWI_UID">
            <rule name="maxLength" value="32" message="Swimlane Element UID can be no larger than ${value} in size"/>
            <rule name="required" message="Swimlane Element UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="SWI_TYPE">
            <rule name="validValues" value="LINE|TEXT" message="Please select a valid Swimlane Element type."/>
            <rule name="required" message="Swimlane Element type is required."/>
        </validator>
    </table>
    <table name="TASK" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="TASK"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="11"/>
            <parameter name="Avg_row_length" value="220"/>
            <parameter name="Data_length" value="2428"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 08:12:21"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Task of workflow"/>
        </vendor>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="TAS_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="TAS_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="TAS_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="TAS_DEF_TITLE" type="LONGVARCHAR"/>
        <column name="TAS_DEF_SUBJECT_MESSAGE" type="LONGVARCHAR"/>
        <column name="TAS_DEF_PROC_CODE" type="LONGVARCHAR"/>
        <column name="TAS_DEF_MESSAGE" type="LONGVARCHAR"/>
        <column name="TAS_DEF_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="TAS_TYPE" type="VARCHAR" size="50" required="true" default="NORMAL"/>
        <column name="TAS_DURATION" type="DOUBLE" required="true" default="0"/>
        <column name="TAS_DELAY_TYPE" type="VARCHAR" size="30" required="true" default=""/>
        <column name="TAS_TEMPORIZER" type="DOUBLE" required="true" default="0"/>
        <column name="TAS_TYPE_DAY" type="CHAR" size="1" required="true" default="1"/>
        <column name="TAS_TIMEUNIT" type="VARCHAR" size="20" required="true" default="DAYS"/>
        <column name="TAS_ALERT" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_PRIORITY_VARIABLE" type="VARCHAR" size="100" required="true" default=""/>
        <column name="TAS_ASSIGN_TYPE" type="VARCHAR" size="30" required="true" default="BALANCED"/>
        <column name="TAS_ASSIGN_VARIABLE" type="VARCHAR" size="100" required="true"
                default="@@SYS_NEXT_USER_TO_BE_ASSIGNED"/>
        <column name="TAS_GROUP_VARIABLE" type="VARCHAR" size="100" required="false"/>
        <column name="TAS_MI_INSTANCE_VARIABLE" type="VARCHAR" size="100" required="true"
                default="@@SYS_VAR_TOTAL_INSTANCE"/>
        <column name="TAS_MI_COMPLETE_VARIABLE" type="VARCHAR" size="100" required="true"
                default="@@SYS_VAR_TOTAL_INSTANCES_COMPLETE"/>
        <column name="TAS_ASSIGN_LOCATION" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_ASSIGN_LOCATION_ADHOC" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_TRANSFER_FLY" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_LAST_ASSIGNED" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="TAS_USER" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="TAS_CAN_UPLOAD" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_VIEW_UPLOAD" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_VIEW_ADDITIONAL_DOCUMENTATION" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_CAN_CANCEL" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_OWNER_APP" type="VARCHAR" size="32" required="true" default=""/>
        <column name="STG_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_CAN_PAUSE" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_CAN_SEND_MESSAGE" type="VARCHAR" size="20" required="true" default="TRUE"/>
        <column name="TAS_CAN_DELETE_DOCS" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_SELF_SERVICE" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_START" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_TO_LAST_USER" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_SEND_LAST_EMAIL" type="VARCHAR" size="20" required="true" default="TRUE"/>
        <column name="TAS_DERIVATION" type="VARCHAR" size="100" required="true" default="NORMAL"/>
        <column name="TAS_POSX" type="INTEGER" required="true" default="0"/>
        <column name="TAS_POSY" type="INTEGER" required="true" default="0"/>
        <column name="TAS_WIDTH" type="INTEGER" required="true" default="110"/>
        <column name="TAS_HEIGHT" type="INTEGER" required="true" default="60"/>
        <column name="TAS_COLOR" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_EVN_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_BOUNDARY" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_DERIVATION_SCREEN_TPL" type="VARCHAR" size="128" default="" required="false"/>
        <column name="TAS_SELFSERVICE_TIMEOUT" type="INTEGER" default="0"/>
        <column name="TAS_SELFSERVICE_TIME" type="INTEGER" default="0"/>
        <column name="TAS_SELFSERVICE_TIME_UNIT" type="VARCHAR" size="15" default=""/>
        <column name="TAS_SELFSERVICE_TRIGGER_UID" type="VARCHAR" size="32" default=""/>
        <column name="TAS_SELFSERVICE_EXECUTION" type="VARCHAR" size="15" default="EVERY_TIME"/>
        <column name="TAS_NOT_EMAIL_FROM_FORMAT" type="INTEGER" default="0"/>
        <column name="TAS_OFFLINE" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_EMAIL_SERVER_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="TAS_AUTO_ROOT" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_RECEIVE_SERVER_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="TAS_RECEIVE_LAST_EMAIL" type="VARCHAR" size="20" required="true" default="FALSE"/>
        <column name="TAS_RECEIVE_EMAIL_FROM_FORMAT" type="INTEGER" default="0"/>
        <column name="TAS_RECEIVE_MESSAGE_TYPE" type="VARCHAR" size="20" required="true" default="text"/>
        <column name="TAS_RECEIVE_MESSAGE_TEMPLATE" type="VARCHAR" size="100" required="true"
                default="alert_message.html"/>
        <column name="TAS_RECEIVE_SUBJECT_MESSAGE" type="LONGVARCHAR"/>
        <column name="TAS_RECEIVE_MESSAGE" type="LONGVARCHAR"/>
        <unique name="INDEX_TAS_ID">
            <unique-column name="TAS_ID"/>
        </unique>
        <index name="indexTasUid">
            <index-column name="TAS_UID"/>
        </index>
        <validator column="TAS_TYPE">
            <rule name="validValues"
                  value="NORMAL|ADHOC|SUBPROCESS|HIDDEN|GATEWAYTOGATEWAY|WEBENTRYEVENT|END-MESSAGE-EVENT|START-MESSAGE-EVENT|INTERMEDIATE-THROW-MESSAGE-EVENT|INTERMEDIATE-CATCH-MESSAGE-EVENT|SCRIPT-TASK|START-TIMER-EVENT|INTERMEDIATE-CATCH-TIMER-EVENT|END-EMAIL-EVENT|INTERMEDIATE-THROW-EMAIL-EVENT|SERVICE-TASK"
                  message="Please set a valid value for TAS_TYPE"/>
        </validator>
        <validator column="TAS_TIMEUNIT">
            <rule name="validValues" value="MINUTES|HOURS|DAYS|WEEKS|MONTHS"
                  message="Please select a valid value for TAS_TIMEUNIT."/>
        </validator>
        <validator column="TAS_ALERT">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_ALERT."/>
        </validator>
        <validator column="TAS_ASSIGN_TYPE">
            <rule name="validValues"
                  value="BALANCED|MANUAL|EVALUATE|REPORT_TO|SELF_SERVICE|STATIC_MI|CANCEL_MI|MULTIPLE_INSTANCE|MULTIPLE_INSTANCE_VALUE_BASED"
                  message="Please set a valid value for TAS_ASSIGN_TYPE"/>
        </validator>
        <validator column="TAS_ASSIGN_LOCATION">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_ASSIGN_LOCATION."/>
        </validator>
        <validator column="TAS_ASSIGN_LOCATION_ADHOC">
            <rule name="validValues" value="TRUE|FALSE"
                  message="Please select a valid value for TAS_ASSIGN_LOCATION_ADHOC."/>
        </validator>
        <validator column="TAS_TRANSFER_FLY">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_TRANSFER_FLY."/>
        </validator>
        <validator column="TAS_CAN_UPLOAD">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_CAN_UPLOAD."/>
        </validator>
        <validator column="TAS_VIEW_UPLOAD">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_VIEW_UPLOAD."/>
        </validator>
        <validator column="TAS_VIEW_ADDITIONAL_DOCUMENTATION">
            <rule name="validValues" value="TRUE|FALSE"
                  message="Please select a valid value for TAS_VIEW_ADDITIONAL_DOCUMENTATION."/>
        </validator>
        <validator column="TAS_CAN_CANCEL">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_CAN_CANCEL."/>
        </validator>
        <validator column="TAS_CAN_PAUSE">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_CAN_PAUSE."/>
        </validator>
        <validator column="TAS_CAN_SEND_MESSAGE">
            <rule name="validValues" value="TRUE|FALSE"
                  message="Please select a valid value for TAS_CAN_SEND_MESSAGE."/>
        </validator>
        <validator column="TAS_CAN_DELETE_DOCS">
            <rule name="validValues" value="TRUE|VIEW|FALSE"
                  message="Please select a valid value for TAS_CAN_DELETE_DOCS."/>
        </validator>
        <validator column="TAS_SELF_SERVICE">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_SELF_SERVICE."/>
        </validator>
        <validator column="TAS_START">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_START."/>
        </validator>
        <validator column="TAS_TO_LAST_USER">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_TO_LAST_USER."/>
        </validator>
        <validator column="TAS_SEND_LAST_EMAIL">
            <rule name="validValues" value="TRUE|FALSE" message="Please select a valid value for TAS_SEND_LAST_EMAIL."/>
        </validator>
        <validator column="TAS_DERIVATION">
            <rule name="validValues" value="NORMAL|FAST|AUTOMATIC"
                  message="Please select a valid value for TAS_DERIVATION."/>
        </validator>
        <index name="indexAssgTypeGrpVar">
            <index-column name="TAS_ASSIGN_TYPE"/>
            <index-column name="TAS_GROUP_VARIABLE"/>
        </index>
    </table>
    <table name="TASK_USER">
        <vendor type="mysql">
            <parameter name="Name" value="TASK_USER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="10"/>
            <parameter name="Avg_row_length" value="47"/>
            <parameter name="Data_length" value="472"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-05 13:41:58"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="TU_TYPE" type="INTEGER" required="true" primaryKey="true" default="1"/>
        <column name="TU_RELATION" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="ASSIGNED_ID" type="INTEGER" required="false" default="0"/>
        <validator column="TAS_UID">
            <rule name="maxLength" value="32" message="Task UID can be no larger than ${value} in size"/>
            <rule name="required" message="Task UID is required."/>
        </validator>
        <validator column="USR_UID">
            <rule name="maxLength" value="32" message="User UID can be no larger than ${value} in size"/>
            <rule name="required" message="User UID is required."/>
        </validator>
        <validator column="TU_TYPE">
            <rule name="validValues" value="1|2" message="Please select a valid type."/>
            <rule name="required" message="Type is required."/>
        </validator>
        <validator column="TU_RELATION">
            <rule name="validValues" value="1|2" message="Please select a valid relation."/>
            <rule name="required" message="Relation is required."/>
        </validator>
        <index name="indexUsrUidType">
            <index-column name="USR_UID"/>
            <index-column name="TU_TYPE"/>
        </index>
    </table>
    <table name="TRANSLATION">
        <vendor type="mysql">
            <parameter name="Name" value="TRANSLATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="121"/>
            <parameter name="Avg_row_length" value="46"/>
            <parameter name="Data_length" value="5572"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="4096"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-09 13:22:56"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="TRN_CATEGORY" type="VARCHAR" size="100" required="true" primaryKey="true" default=""/>
        <column name="TRN_ID" type="VARCHAR" size="100" required="true" primaryKey="true" default=""/>
        <column name="TRN_LANG" type="VARCHAR" size="10" required="true" primaryKey="true" default="en"/>
        <column name="TRN_VALUE" type="LONGVARCHAR" required="true"/>
        <column name="TRN_UPDATE_DATE" type="DATE" required="false"/>
        <validator column="TRN_CATEGORY">
            <rule name="maxLength" value="100" message="Category can be no larger than ${value} in size"/>
            <rule name="required" message="Category is required."/>
        </validator>
        <validator column="TRN_ID">
            <rule name="maxLength" value="100" message="ID can be no larger than ${value} in size"/>
            <rule name="required" message="ID is required."/>
        </validator>
        <validator column="TRN_LANG">
            <rule name="maxLength" value="5" message="Language can be no larger than ${value} in size"/>
            <rule name="required" message="Language is required."/>
        </validator>
        <validator column="TRN_VALUE">
            <rule name="maxLength" value="1500" message="Value can be no larger than ${value} in size"/>
            <rule name="required" message="Value is required."/>
        </validator>
    </table>
    <table name="TRIGGERS">
        <vendor type="mysql">
            <parameter name="Name" value="TRIGGERS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="17"/>
            <parameter name="Avg_row_length" value="164"/>
            <parameter name="Data_length" value="2792"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:21:20"/>
            <parameter name="Update_time" value="2007-12-06 14:52:20"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="TRI_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="TRI_TITLE" type="LONGVARCHAR" required="true"/>
        <column name="TRI_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TRI_TYPE" type="VARCHAR" size="20" required="true" default="SCRIPT"/>
        <column name="TRI_WEBBOT" type="LONGVARCHAR" required="true"/>
        <column name="TRI_PARAM" type="LONGVARCHAR" required="false"/>
        <validator column="TRI_TYPE">
            <rule name="validValues" value="WEBBOT|SCRIPT" message="Please select a valid type."/>
            <rule name="required" message="Type is required."/>
        </validator>
    </table>
    <table name="USERS" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="USERS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="9"/>
            <parameter name="Avg_row_length" value="158"/>
            <parameter name="Data_length" value="1428"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-04 11:47:46"/>
            <parameter name="Update_time" value="2007-12-05 17:36:55"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Users"/>
        </vendor>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="USR_USERNAME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="USR_PASSWORD" type="VARCHAR" size="128" required="true" default=""/>
        <column name="USR_FIRSTNAME" type="VARCHAR" size="50" required="true" default=""/>
        <column name="USR_LASTNAME" type="VARCHAR" size="50" required="true" default=""/>
        <column name="USR_EMAIL" type="VARCHAR" size="100" required="true" default=""/>
        <column name="USR_DUE_DATE" type="DATE" required="true"/>
        <column name="USR_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="USR_UPDATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="USR_STATUS" type="VARCHAR" size="32" required="true" default="ACTIVE"/>
        <column name="USR_STATUS_ID" type="INTEGER" required="false" default="1"/>
        <column name="USR_COUNTRY" type="VARCHAR" size="3" required="true" default=""/>
        <column name="USR_CITY" type="VARCHAR" size="3" required="true" default=""/>
        <column name="USR_LOCATION" type="VARCHAR" size="3" required="true" default=""/>
        <column name="USR_ADDRESS" type="VARCHAR" size="255" required="true" default=""/>
        <column name="USR_PHONE" type="VARCHAR" size="24" required="true" default=""/>
        <column name="USR_FAX" type="VARCHAR" size="24" required="true" default=""/>
        <column name="USR_CELLULAR" type="VARCHAR" size="24" required="true" default=""/>
        <column name="USR_ZIP_CODE" type="VARCHAR" size="16" required="true" default=""/>
        <column name="DEP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="USR_POSITION" type="VARCHAR" size="100" required="true" default=""/>
        <column name="USR_RESUME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="USR_BIRTHDAY" type="DATE" required="false"/>
        <column name="USR_ROLE" type="VARCHAR" size="32" default="PROCESSMAKER_ADMIN"/>
        <column name="USR_REPORTS_TO" type="VARCHAR" size="32" default=""/>
        <column name="USR_REPLACED_BY" type="VARCHAR" size="32" default=""/>
        <column name="USR_UX" type="VARCHAR" size="128" default="NORMAL"/>
        <column name="USR_COST_BY_HOUR" type="DECIMAL" size="7,2" required="false" default="0"/>
        <column name="USR_UNIT_COST" type="VARCHAR" size="50" required="false" default=""/>
        <column name="USR_PMDRIVE_FOLDER_UID" type="VARCHAR" size="128" default="" required="false"/>
        <column name="USR_BOOKMARK_START_CASES" type="LONGVARCHAR" required="false">
            <vendor type="mysql">
                <parameter name="Field" value="USR_BOOKMARK_START_CASES"/>
                <parameter name="Type" value="MEDIUMTEXT"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="USR_TIME_ZONE" type="VARCHAR" size="100" default=""/>
        <column name="USR_DEFAULT_LANG" type="VARCHAR" size="10" default=""/>
        <column name="USR_LAST_LOGIN" type="TIMESTAMP" required="false"/>
        <column name="USR_EXTENDED_ATTRIBUTES_DATA" type="LONGVARCHAR" required="false"/>
        <unique name="INDEX_USR_ID">
            <unique-column name="USR_ID"/>
        </unique>
        <index name="indexUsrStatus">
            <index-column name="USR_STATUS"/>
            <vendor type="mysql">
                <parameter name="Table" value="USERS"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexUsrStatus"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexUsrStatusId">
            <index-column name="USR_STATUS_ID"/>
            <vendor type="mysql">
                <parameter name="Table" value="USERS"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexUsrStatusId"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexUsrUid">
            <index-column name="USR_UID"/>
        </index>
        <validator column="USR_STATUS">
            <rule name="validValues" value="ACTIVE|INACTIVE|VACATION|CLOSED" message="Please select a valid type."/>
            <rule name="required" message="Type is required."/>
        </validator>
    </table>
    <table name="APP_THREAD">
        <vendor type="mysql">
            <parameter name="Name" value="APP_THREAD"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="APP_THREAD"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="APP_THREAD_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="APP_THREAD_PARENT" type="INTEGER" required="true" default="0"/>
        <column name="APP_THREAD_STATUS" type="VARCHAR" size="32" required="true" default="OPEN"/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <validator column="APP_THREAD_STATUS">
            <rule name="validValues" value="CLOSED|OPEN" message="Please select a valid status."/>
        </validator>
    </table>
    <table name="APP_DELAY">
        <vendor type="mysql">
            <parameter name="Name" value="APP_DELAY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-04-25 10:30:00"/>
            <parameter name="Update_time" value="2008-04-25 10:30:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="APP_DELAY"/>
        </vendor>
        <column name="APP_DELAY_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="APP_NUMBER" type="INTEGER" required="false" default="0"/>
        <column name="APP_THREAD_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="APP_DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="APP_TYPE" type="VARCHAR" size="20" required="true" default="0"/>
        <column name="APP_STATUS" type="VARCHAR" size="20" required="true" default="0"/>
        <column name="APP_NEXT_TASK" type="VARCHAR" size="32" default="0"/>
        <column name="APP_DELEGATION_USER" type="VARCHAR" size="32" default="0"/>
        <column name="APP_ENABLE_ACTION_USER" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="APP_ENABLE_ACTION_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_DISABLE_ACTION_USER" type="VARCHAR" size="32" default="0"/>
        <column name="APP_DISABLE_ACTION_DATE" type="TIMESTAMP"/>
        <column name="APP_AUTOMATIC_DISABLED_DATE" type="TIMESTAMP"/>
        <column name="APP_DELEGATION_USER_ID" type="INTEGER" required="false" default="0"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <index name="INDEX_APP_NUMBER">
            <index-column name="APP_NUMBER"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="APP_DELEGATION_USER_ID"/>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="indexAppDelay">
            <index-column name="PRO_UID"/>
            <index-column name="APP_UID"/>
            <index-column name="APP_THREAD_INDEX"/>
            <index-column name="APP_DEL_INDEX"/>
            <index-column name="APP_NEXT_TASK"/>
            <index-column name="APP_DELEGATION_USER"/>
            <index-column name="APP_DISABLE_ACTION_USER"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_DELAY"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppDelay"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="PRO_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
        <index name="indexAppUid">
            <index-column name="APP_UID"/>
        </index>
    </table>
    <table name="PROCESS_USER">
        <vendor type="mysql">
            <parameter name="Name" value="PROCESS_USER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="10"/>
            <parameter name="Avg_row_length" value="47"/>
            <parameter name="Data_length" value="472"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-15-05 12:00:00"/>
            <parameter name="Update_time" value="2008-15-05 12:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="PU_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PU_TYPE" type="VARCHAR" size="20" required="true" default=""/>
        <validator column="PU_UID">
            <rule name="maxLength" value="32" message="Process User UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process User UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="USR_UID">
            <rule name="maxLength" value="32" message="User UID can be no larger than ${value} in size"/>
            <rule name="required" message="User UID is required."/>
        </validator>
        <validator column="PU_TYPE">
            <rule name="maxLength" value="20" message="Value can be no larger than ${value} in size"/>
            <rule name="required" message="Value is required."/>
        </validator>
    </table>
    <table name="SESSION">
        <vendor type="mysql">
            <parameter name="Name" value="SESSION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-04-25 10:30:00"/>
            <parameter name="Update_time" value="2008-04-25 10:30:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="SESSION"/>
        </vendor>
        <column name="SES_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="SES_STATUS" type="VARCHAR" size="16" required="true" default="ACTIVE"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default="ACTIVE"/>
        <column name="SES_REMOTE_IP" type="VARCHAR" size="32" required="true" default="0.0.0.0"/>
        <column name="SES_INIT_DATE" type="VARCHAR" size="19" required="true" default=""/>
        <column name="SES_DUE_DATE" type="VARCHAR" size="19" required="true" default=""/>
        <column name="SES_END_DATE" type="VARCHAR" size="19" required="true" default=""/>
        <index name="indexSession">
            <index-column name="SES_UID"/>
        </index>
    </table>
    <table name="DB_SOURCE" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="DB_SOURCE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-05-06 10:30:00"/>
            <parameter name="Update_time" value="2008-05-06 10:30:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="DB_SOURCE"/>
        </vendor>
        <column name="DBS_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="DBS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="0"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="DBS_TYPE" type="VARCHAR" size="8" required="true" default="0"/>
        <column name="DBS_SERVER" type="VARCHAR" size="100" required="true" default="0"/>
        <column name="DBS_DATABASE_NAME" type="VARCHAR" size="100" required="true" default="0"/>
        <column name="DBS_USERNAME" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="DBS_PASSWORD" type="VARCHAR" size="256" default=""/>
        <column name="DBS_PORT" type="INTEGER" default="0"/>
        <column name="DBS_ENCODE" type="VARCHAR" size="32" default=""/>
        <column name="DBS_CONNECTION_TYPE" type="VARCHAR" size="32" default="NORMAL"/>
        <column name="DBS_TNS" type="VARCHAR" size="256" default=""/>
        <unique name="DBS_ID">
            <unique-column name="DBS_ID"/>
        </unique>
        <index name="indexDBSource">
            <index-column name="PRO_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="DB_SOURCE"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexDBSource"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="PRO_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
    </table>
    <table name="STEP_SUPERVISOR">
        <vendor type="mysql">
            <parameter name="Name" value="STEP_SUPERVISOR"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-05-16 17:50:00"/>
            <parameter name="Update_time" value="2008-05-16 17:50:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="STEP_SUPERVISOR"/>
        </vendor>
        <column name="STEP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="STEP_TYPE_OBJ" type="VARCHAR" size="20" required="true" default="DYNAFORM"/>
        <column name="STEP_UID_OBJ" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="STEP_POSITION" type="INTEGER" required="true" default="0"/>
        <validator column="STEP_TYPE_OBJ">
            <rule name="validValues" value="DYNAFORM|INPUT_DOCUMENT|OUTPUT_DOCUMENT"
                  message="Please select a valid value for STEP_TYPE_OBJ."/>
        </validator>
        <index name="indexStepSupervisor">
            <index-column name="PRO_UID"/>
            <index-column name="STEP_TYPE_OBJ"/>
            <index-column name="STEP_UID_OBJ"/>
            <vendor type="mysql">
                <parameter name="Table" value="STEP_SUPERVISOR"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexStepSupervisor"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="PRO_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>
    <table name="OBJECT_PERMISSION">
        <vendor type="mysql">
            <parameter name="Name" value="OBJECT_PERMISSION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-08-01 11:10:00"/>
            <parameter name="Update_time" value="2008-08-01 11:10:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="OBJECT_PERMISSION"/>
        </vendor>
        <column name="OP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="0"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="OP_USER_RELATION" type="INTEGER" required="true" default="0"/>
        <column name="OP_TASK_SOURCE" type="VARCHAR" size="32" required="" default="0"/>
        <column name="OP_PARTICIPATE" type="INTEGER" required="true" default="0"/>
        <column name="OP_OBJ_TYPE" type="VARCHAR" size="20" required="true" default="0"/>
        <column name="OP_OBJ_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="OP_ACTION" type="VARCHAR" size="10" required="true" default="0"/>
        <column name="OP_CASE_STATUS" type="VARCHAR" size="10" required="false" default="0"/>
        <validator column="OP_UID">
            <rule name="maxLength" value="32" message="Object permission UID can be no larger than ${value} in size"/>
            <rule name="required" message="Object permission UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="TAS_UID">
            <rule name="maxLength" value="32" message="Task UID can be no larger than ${value} in size"/>
            <rule name="required" message="Task UID is required."/>
        </validator>
        <validator column="USR_UID">
            <rule name="maxLength" value="32" message="User or Group UID can be no larger than ${value} in size"/>
            <rule name="required" message="User or Group UID is required."/>
        </validator>
        <validator column="OP_USER_RELATION">
            <rule name="validValues" value="1|2" message="Please select a valid relation."/>
            <rule name="required" message="Relation is required."/>
        </validator>
        <validator column="OP_TASK_SOURCE">
            <rule name="maxLength" value="32" message="Source task UID can be no larger than ${value} in size"/>
            <rule name="required" message="Source task is required."/>
        </validator>
        <validator column="OP_PARTICIPATE">
            <rule name="validValues" value="0|1" message="Please select a valid participation value."/>
            <rule name="required" message="Participation is required."/>
        </validator>
        <validator column="OP_OBJ_TYPE">
            <rule name="maxLength" value="20" message="Object type can be no larger than ${value} in size"/>
            <rule name="required" message="Object type is required."/>
        </validator>
        <validator column="OP_OBJ_UID">
            <rule name="maxLength" value="32" message="Object UID can be no larger than ${value} in size"/>
            <rule name="required" message="Object UID is required."/>
        </validator>
        <validator column="OP_ACTION">
            <rule name="maxLength" value="15" message="Action can be no larger than ${value} in size"/>
            <rule name="required" message="Action is required."/>
        </validator>
        <index name="indexObjctPermission">
            <index-column name="PRO_UID"/>
            <index-column name="TAS_UID"/>
            <index-column name="USR_UID"/>
            <index-column name="OP_TASK_SOURCE"/>
            <index-column name="OP_OBJ_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="OBJECT_PERMISSION"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexObjctPermission"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="PRO_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>
    <table name="CASE_TRACKER">
        <vendor type="mysql">
            <parameter name="Name" value="CASE_TRACKER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="0"/>
            <parameter name="Avg_row_length" value="0"/>
            <parameter name="Data_length" value="0"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="1024"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-08-15 12:15:00"/>
            <parameter name="Update_time" value="2008-08-15 12:15:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="CASE_TRACKER"/>
        </vendor>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="0"/>
        <column name="CT_MAP_TYPE" type="VARCHAR" size="10" required="true" default="0"/>
        <column name="CT_DERIVATION_HISTORY" type="INTEGER" required="true" default="0"/>
        <column name="CT_MESSAGE_HISTORY" type="INTEGER" required="true" default="0"/>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
        <validator column="CT_MAP_TYPE">
            <rule name="validValues" value="NONE|PROCESSMAP|STAGES" message="Please select a valid map type."/>
            <rule name="required" message="Map type is required."/>
        </validator>
        <validator column="CT_DERIVATION_HISTORY">
            <rule name="validValues" value="0|1" message="Please select a valid derivation history status."/>
            <rule name="required" message="Derivation history status is required."/>
        </validator>
        <validator column="CT_MESSAGE_HISTORY">
            <rule name="validValues" value="0|1" message="Please select a valid message history status."/>
            <rule name="required" message="Message history status is required."/>
        </validator>
    </table>
    <table name="CASE_TRACKER_OBJECT">
        <vendor type="mysql">
            <parameter name="Name" value="CASE_TRACKER_OBJECT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="18"/>
            <parameter name="Avg_row_length" value="106"/>
            <parameter name="Data_length" value="1956"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="40"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-15-04 12:50:00"/>
            <parameter name="Update_time" value="2008-15-06 12:50:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="CTO_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="CTO_TYPE_OBJ" type="VARCHAR" size="20" required="true" default="DYNAFORM"/>
        <column name="CTO_UID_OBJ" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="CTO_CONDITION" type="LONGVARCHAR" required="true"/>
        <column name="CTO_POSITION" type="INTEGER" required="true" default="0"/>
        <validator column="CTO_TYPE_OBJ">
            <rule name="validValues" value="DYNAFORM|INPUT_DOCUMENT|OUTPUT_DOCUMENT|MESSAGE|EXTERNAL"
                  message="Please select a valid value for CTO_TYPE_OBJ."/>
        </validator>
        <index name="indexCaseTrackerObject">
            <index-column name="PRO_UID"/>
            <index-column name="CTO_UID_OBJ"/>
            <vendor type="mysql">
                <parameter name="Table" value="CASE_TRACKER_OBJECT"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexCaseTrackerObject"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="PRO_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>
    <table name="CASE_CONSOLIDATED" referenceOnly="true">
        <vendor type="mysql">
            <parameter name="Name" value="CASE_CONSOLIDATED"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="18"/>
            <parameter name="Avg_row_length" value="106"/>
            <parameter name="Data_length" value="1956"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="2048"/>
            <parameter name="Data_free" value="40"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2015-16-03 11:50:00"/>
            <parameter name="Update_time" value="2015-16-03 11:50:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DYN_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="REP_TAB_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="CON_STATUS" type="VARCHAR" size="20" required="true" default="ACTIVE"/>
        <index name="indexConStatus">
            <index-column name="CON_STATUS"/>
        </index>
    </table>
    <table name="STAGE">
        <vendor type="mysql">
            <parameter name="Name" value="STAGE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-08-12 15:08:22"/>
            <parameter name="Update_time" value="2008-08-12 15:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="STG_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="STG_POSX" type="INTEGER" required="true" default="0"/>
        <column name="STG_POSY" type="INTEGER" required="true" default="0"/>
        <column name="STG_INDEX" type="INTEGER" required="true" default="0"/>
    </table>
    <table name="SUB_PROCESS">
        <vendor type="mysql">
            <parameter name="Name" value="SUB_PROCESS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-09-18 19:18:00"/>
            <parameter name="Update_time" value="2008-09-18 19:18:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="SP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_PARENT" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_PARENT" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SP_TYPE" type="VARCHAR" size="20" required="true" default=""/>
        <column name="SP_SYNCHRONOUS" type="INTEGER" required="true" default="0"/>
        <column name="SP_SYNCHRONOUS_TYPE" type="VARCHAR" size="20" required="true" default=""/>
        <column name="SP_SYNCHRONOUS_WAIT" type="INTEGER" required="true" default="0"/>
        <column name="SP_VARIABLES_OUT" type="LONGVARCHAR" required="true"/>
        <column name="SP_VARIABLES_IN" type="LONGVARCHAR" required="false"/>
        <column name="SP_GRID_IN" type="VARCHAR" size="50" required="true" default=""/>
        <validator column="SP_TYPE">
            <rule name="validValues" value="SIMPLE|MULTIPLE" message="Please select a valid value for SP_TYPE."/>
        </validator>
        <validator column="SP_SYNCHRONOUS">
            <rule name="validValues" value="1|0" message="Please select a valid value for SP_SYNCHRONOUS."/>
        </validator>
        <validator column="SP_SYNCHRONOUS_TYPE">
            <rule name="validValues" value="ALL|INSTANCES|TIME"
                  message="Please select a valid value for SP_SYNCHRONOUS_TYPE."/>
        </validator>
        <index name="indexSubProcess">
            <index-column name="PRO_UID"/>
            <index-column name="PRO_PARENT"/>
            <vendor type="mysql">
                <parameter name="Table" value="SUB_PROCESS"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexSubProcess"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="PRO_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>
    <table name="SUB_APPLICATION">
        <vendor type="mysql">
            <parameter name="Name" value="SUB_APPLICATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-09-18 19:18:00"/>
            <parameter name="Update_time" value="2008-09-18 19:18:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="APP_PARENT" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX_PARENT" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="DEL_THREAD_PARENT" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="SA_STATUS" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SA_VALUES_OUT" type="LONGVARCHAR" required="true"/>
        <column name="SA_VALUES_IN" type="LONGVARCHAR" required="false"/>
        <column name="SA_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="SA_FINISH_DATE" type="TIMESTAMP" required="false"/>
        <validator column="SA_STATUS">
            <rule name="validValues" value="ACTIVE|FINISHED|CANCELLED"
                  message="Please select a valid value for SA_STATUS."/>
        </validator>
        <index name="indexParent">
            <index-column name="APP_PARENT"/>
        </index>
    </table>
    <table name="LOGIN_LOG" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="LOGIN_LOG"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2008-09-18 19:18:00"/>
            <parameter name="Update_time" value="2008-09-18 19:18:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="LOG_ID" type="INTEGER" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="LOG_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="LOG_STATUS" type="VARCHAR" size="100" required="true" default=""/>
        <column name="LOG_IP" type="VARCHAR" size="15" required="true" default=""/>
        <column name="LOG_SID" type="VARCHAR" size="100" required="true" default=""/>
        <column name="LOG_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="LOG_END_DATE" type="TIMESTAMP" required="false"/>
        <column name="LOG_CLIENT_HOSTNAME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <index name="indexLoginLogSelect">
            <index-column name="LOG_SID"/>
            <index-column name="USR_UID"/>
            <index-column name="LOG_STATUS"/>
            <index-column name="LOG_END_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="LOGIN_LOG"/>
                <parameter name="Key_name" value="indexLoginLogSelect"/>
            </vendor>
        </index>
    </table>
    <table name="USERS_PROPERTIES">
        <vendor type="mysql">
            <parameter name="Name" value="USERS_PROPERTIES"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2009-02-16 16:13:00"/>
            <parameter name="Update_time" value="2009-02-16 16:13:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_LAST_UPDATE_DATE" type="TIMESTAMP"/>
        <column name="USR_LOGGED_NEXT_TIME" type="INTEGER" default="0"/>
        <column name="USR_PASSWORD_HISTORY" type="LONGVARCHAR" required="false"/>
        <column name="USR_SETTING_DESIGNER" type="LONGVARCHAR"/>
        <column name="PMDYNAFORM_FIRST_TIME" type="CHAR" size="1" default="0"/>
    </table>
    <table name="ADDITIONAL_TABLES">
        <vendor type="mysql">
            <parameter name="Name" value="ADDITIONAL_TABLES"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2009-05-07 16:15:00"/>
            <parameter name="Update_time" value="2009-05-07 16:15:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="ADD_TAB_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="ADD_TAB_NAME" type="VARCHAR" size="60" required="true" default=""/>
        <column name="ADD_TAB_CLASS_NAME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="ADD_TAB_DESCRIPTION" type="LONGVARCHAR" required="false"/>
        <column name="ADD_TAB_SDW_LOG_INSERT" type="TINYINT" required="false" default="0"/>
        <column name="ADD_TAB_SDW_LOG_UPDATE" type="TINYINT" required="false" default="0"/>
        <column name="ADD_TAB_SDW_LOG_DELETE" type="TINYINT" required="false" default="0"/>
        <column name="ADD_TAB_SDW_LOG_SELECT" type="TINYINT" required="false" default="0"/>
        <column name="ADD_TAB_SDW_MAX_LENGTH" type="INTEGER" required="false" default="0"/>
        <column name="ADD_TAB_SDW_AUTO_DELETE" type="TINYINT" required="false" default="0"/>
        <column name="ADD_TAB_PLG_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="DBS_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="ADD_TAB_TYPE" type="VARCHAR" size="32" required="false" default=""/>
        <column name="ADD_TAB_GRID" type="VARCHAR" size="256" required="false" default=""/>
        <column name="ADD_TAB_TAG" type="VARCHAR" size="256" required="false" default=""/>
        <column name="ADD_TAB_OFFLINE" type="TINYINT" required="true" default="0"/>
        <column name="ADD_TAB_UPDATE_DATE" type="TIMESTAMP" required="true"/>
        <index name="indexAdditionalProcess">
            <index-column name="PRO_UID"/>
        </index>
    </table>
    <table name="FIELDS">
        <vendor type="mysql">
            <parameter name="Name" value="FIELDS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2009-05-07 16:15:00"/>
            <parameter name="Update_time" value="2009-05-07 16:15:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="FLD_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="ADD_TAB_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FLD_INDEX" type="INTEGER" required="true" default="1"/>
        <column name="FLD_NAME" type="VARCHAR" size="60" required="true" default=""/>
        <column name="FLD_DESCRIPTION" type="LONGVARCHAR" required="true"/>
        <column name="FLD_TYPE" type="VARCHAR" size="20" required="true" default=""/>
        <column name="FLD_SIZE" type="INTEGER" required="false" default="0"/>
        <column name="FLD_NULL" type="TINYINT" required="true" default="1"/>
        <column name="FLD_AUTO_INCREMENT" type="TINYINT" required="true" default="0"/>
        <column name="FLD_KEY" type="TINYINT" required="true" default="0"/>
        <column name="FLD_TABLE_INDEX" type="TINYINT" required="true" default="0"/>
        <column name="FLD_FOREIGN_KEY" type="TINYINT" required="false" default="0"/>
        <column name="FLD_FOREIGN_KEY_TABLE" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FLD_DYN_NAME" type="VARCHAR" size="128" required="false" default=""/>
        <column name="FLD_DYN_UID" type="VARCHAR" size="128" required="false" default=""/>
        <column name="FLD_FILTER" type="TINYINT" required="false" default="0"/>
    </table>
    <table name="SHADOW_TABLE">
        <vendor type="mysql">
            <parameter name="Name" value="SHADOW_TABLE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2009-07-30 16:55:00"/>
            <parameter name="Update_time" value="2009-07-30 16:55:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="SHD_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="ADD_TAB_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SHD_ACTION" type="VARCHAR" size="10" required="true" default=""/>
        <column name="SHD_DETAILS" type="LONGVARCHAR" required="true"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SHD_DATE" type="TIMESTAMP" required="false"/>
        <index name="indexShadowTable">
            <index-column name="SHD_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="SHD_UID"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexShadowTable"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="SHD_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>
    <!--.-->
    <table name="EVENT">
        <vendor type="mysql">
            <parameter name="Name" value="EVENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2009-08-26 16:20:00"/>
            <parameter name="Update_time" value="2009-08-26 16:20:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="EVN_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="EVN_STATUS" type="VARCHAR" size="16" required="true" default="OPEN"/>
        <column name="EVN_WHEN_OCCURS" type="VARCHAR" size="32" required="false" default="SINGLE"/>
        <column name="EVN_RELATED_TO" type="VARCHAR" size="16" required="false" default="SINGLE"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="EVN_TAS_UID_FROM" type="VARCHAR" size="32" required="false" default=""/>
        <column name="EVN_TAS_UID_TO" type="VARCHAR" size="32" required="false" default=""/>
        <column name="EVN_TAS_ESTIMATED_DURATION" type="DOUBLE" required="false" default="0"/>
        <column name="EVN_TIME_UNIT" type="VARCHAR" size="10" required="true" default="DAYS"/>
        <column name="EVN_WHEN" type="DOUBLE" required="true" default="0"/>
        <column name="EVN_MAX_ATTEMPTS" type="TINYINT" required="true" default="3"/>
        <column name="EVN_ACTION" type="VARCHAR" size="50" required="true" default=""/>
        <column name="EVN_CONDITIONS" type="LONGVARCHAR" required="false"/>
        <column name="EVN_ACTION_PARAMETERS" type="LONGVARCHAR" required="false"/>
        <column name="TRI_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="EVN_POSX" type="INTEGER" required="true" default="0"/>
        <column name="EVN_POSY" type="INTEGER" required="true" default="0"/>
        <column name="EVN_TYPE" type="VARCHAR" size="32" required="false" default=""/>
        <column name="TAS_EVN_UID" type="VARCHAR" size="32" required="false" default=""/>
        <index name="indexEventTable">
            <index-column name="EVN_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="EVN_UID"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexEventTable"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="EVN_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
        <index name="indexStatusActionProcess">
            <index-column name="EVN_STATUS"/>
            <index-column name="EVN_ACTION"/>
            <index-column name="PRO_UID"/>
        </index>
    </table>
    <!--.-->
    <table name="GATEWAY">
        <vendor type="mysql">
            <parameter name="Name" value="GATEWAY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2009-08-26 16:20:00"/>
            <parameter name="Update_time" value="2009-08-26 16:20:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="GAT_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="GAT_NEXT_TASK" type="VARCHAR" size="32" required="true" default=""/>
        <column name="GAT_X" type="INTEGER" required="true" default="0"/>
        <column name="GAT_Y" type="INTEGER" required="true" default="0"/>
        <column name="GAT_TYPE" type="VARCHAR" size="32" required="true" default=""/>
        <validator column="GAT_UID">
            <rule name="maxLength" value="32" message="Gateway UID can be no larger than ${value} in size"/>
            <rule name="required" message="Gateway Element UID is required."/>
        </validator>
        <validator column="PRO_UID">
            <rule name="maxLength" value="32" message="Process UID can be no larger than ${value} in size"/>
            <rule name="required" message="Process UID is required."/>
        </validator>
    </table>
    <table name="APP_EVENT">
        <vendor type="mysql">
            <parameter name="Name" value="APP_EVENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2009-08-26 16:20:00"/>
            <parameter name="Update_time" value="2009-08-26 16:20:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value=""/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="EVN_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="APP_EVN_ACTION_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_EVN_ATTEMPTS" type="TINYINT" required="true" default="0"/>
        <column name="APP_EVN_LAST_EXECUTION_DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_EVN_STATUS" type="VARCHAR" size="32" required="true" default="OPEN"/>
    </table>
    <table name="APP_CACHE_VIEW">
        <vendor type="mysql">
            <parameter name="Name" value="APP_CACHE_VIEW"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Application cache view"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="DEL_LAST_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_STATUS" type="VARCHAR" size="32" required="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_FINISH_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_TASK_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_RISK_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_THREAD_STATUS" type="VARCHAR" size="32" default="OPEN"/>
        <column name="APP_THREAD_STATUS" type="VARCHAR" size="32" default="OPEN"/>
        <column name="APP_TITLE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="APP_PRO_TITLE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="APP_TAS_TITLE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="APP_CURRENT_USER" type="VARCHAR" size="128" default=""/>
        <column name="APP_DEL_PREVIOUS_USER" type="VARCHAR" size="128" default=""/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="DEL_DURATION" type="DOUBLE" default="0"/>
        <column name="DEL_QUEUE_DURATION" type="DOUBLE" default="0"/>
        <column name="DEL_DELAY_DURATION" type="DOUBLE" default="0"/>
        <column name="DEL_STARTED" type="TINYINT" required="true" default="0"/>
        <column name="DEL_FINISHED" type="TINYINT" required="true" default="0"/>
        <column name="DEL_DELAYED" type="TINYINT" required="true" default="0"/>
        <column name="APP_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_FINISH_DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_UPDATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_OVERDUE_PERCENTAGE" type="DOUBLE" required="true"/>
        <index name="indexUsrUidThreadStatusAppStatus">
            <index-column name="USR_UID"/>
            <index-column name="DEL_THREAD_STATUS"/>
            <index-column name="APP_STATUS"/>
        </index>
        <index name="indexAppUid">
            <index-column name="APP_UID"/>
        </index>
        <index name="indexTasUid">
            <index-column name="TAS_UID"/>
        </index>
        <index name="indexUsrUid">
            <index-column name="USR_UID"/>
        </index>
        <index name="indexPrevUsrUid">
            <index-column name="PREVIOUS_USR_UID"/>
        </index>
        <index name="indexProUid">
            <index-column name="PRO_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_CACHE_VIEW"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexProUid"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppNumber">
            <index-column name="APP_NUMBER"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_CACHE_VIEW"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppNumber"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="protitle">
            <index-column name="APP_PRO_TITLE"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_CACHE_VIEW"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="protitle"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="appupdatedate">
            <index-column name="APP_UPDATE_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_CACHE_VIEW"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="appupdatedate"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="tastitle">
            <index-column name="APP_TAS_TITLE"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_CACHE_VIEW"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="tastitle"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="taskUid">
            <index-column name="TAS_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_CACHE_VIEW"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="taskUid"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppUser">
            <index-column name="USR_UID"/>
            <index-column name="APP_STATUS"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_CACHE_VIEW"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppUser"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
    </table>
    <table name="DIM_TIME_DELEGATE">
        <vendor type="mysql">
            <parameter name="Name" value="DIM_TIME_DELEGATE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="The application"/>
        </vendor>
        <column name="TIME_ID" type="VARCHAR" size="10" required="true" primaryKey="true" default=""/>
        <column name="MONTH_ID" type="INTEGER" required="true" default="0"/>
        <column name="QTR_ID" type="INTEGER" required="true" default="0"/>
        <column name="YEAR_ID" type="INTEGER" required="true" default="0"/>
        <column name="MONTH_NAME" type="VARCHAR" size="3" required="true" default="0"/>
        <column name="MONTH_DESC" type="VARCHAR" size="9" required="true" default=""/>
        <column name="QTR_NAME" type="VARCHAR" size="4" required="true" default=""/>
        <column name="QTR_DESC" type="VARCHAR" size="9" required="true" default=""/>
    </table>
    <table name="DIM_TIME_COMPLETE">
        <vendor type="mysql">
            <parameter name="Name" value="DIM_TIME_COMPLETE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="The application"/>
        </vendor>
        <column name="TIME_ID" type="VARCHAR" size="10" required="true" primaryKey="true" default=""/>
        <column name="MONTH_ID" type="INTEGER" required="true" default="0"/>
        <column name="QTR_ID" type="INTEGER" required="true" default="0"/>
        <column name="YEAR_ID" type="INTEGER" required="true" default="0"/>
        <column name="MONTH_NAME" type="VARCHAR" size="3" required="true" default="0"/>
        <column name="MONTH_DESC" type="VARCHAR" size="9" required="true" default=""/>
        <column name="QTR_NAME" type="VARCHAR" size="4" required="true" default=""/>
        <column name="QTR_DESC" type="VARCHAR" size="9" required="true" default=""/>
    </table>
    <table name="APP_HISTORY">
        <vendor type="mysql">
            <parameter name="Name" value="APP_HISTORY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="History table for Dynaforms"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DYN_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="OBJ_TYPE" type="VARCHAR" size="20" required="true" default="DYNAFORM"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_STATUS" type="VARCHAR" size="100" required="true" default=""/>
        <column name="HISTORY_DATE" type="TIMESTAMP" required="false"/>
        <column name="HISTORY_DATA" type="LONGVARCHAR" required="true"/>
        <validator column="OBJ_TYPE">
            <rule name="validValues" value="DYNAFORM|INPUT_DOCUMENT|OUTPUT_DOCUMENT|EXTERNAL|ASSIGN_TASK"
                  message="Please enter a valid value for OBJ_TYPE"/>
        </validator>
        <index name="indexAppHistory">
            <index-column name="APP_UID"/>
            <index-column name="TAS_UID"/>
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_HISTORY"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppHistory"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexDynUid">
            <index-column name="DYN_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_HISTORY"/>
                <parameter name="Key_name" value="indexDynUid"/>
            </vendor>
        </index>
    </table>
    <table name="APP_FOLDER">
        <vendor type="mysql">
            <parameter name="Name" value="APP_FOLDER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Folder System PM Documents"/>
        </vendor>
        <column name="FOLDER_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="FOLDER_PARENT_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FOLDER_NAME" type="VARCHAR" size="512" required="true"/>
        <column name="FOLDER_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="FOLDER_UPDATE_DATE" type="TIMESTAMP" required="true"/>
        <index name="indexFolderName">
            <index-column name="FOLDER_NAME"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_FOLDER"/>
                <parameter name="Key_name" value="indexFolderName"/>
            </vendor>
        </index>
    </table>
    <table name="FIELD_CONDITION">
        <vendor type="mysql">
            <parameter name="Name" value="FIELD_CONDITION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2010-05-11 15:08:22"/>
            <parameter name="Update_time" value="2010-05-11 15:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Conditions store to show or hide dynaform fields.."/>
        </vendor>
        <column name="FCD_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="FCD_FUNCTION" type="VARCHAR" size="50" required="true"/>
        <column name="FCD_FIELDS" type="LONGVARCHAR" required="false"/>
        <column name="FCD_CONDITION" type="LONGVARCHAR" required="false"/>
        <column name="FCD_EVENTS" type="LONGVARCHAR" required="false"/>
        <column name="FCD_EVENT_OWNERS" type="LONGVARCHAR" required="false"/>
        <column name="FCD_STATUS" type="VARCHAR" size="10" required="false"/>
        <column name="FCD_DYN_UID" type="VARCHAR" size="32" required="true"/>
    </table>
    <table name="LOG_CASES_SCHEDULER">
        <vendor type="mysql">
            <parameter name="Name" value="LOG_CASES_SCHEDULER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Cases Launched with Case Scheduler"/>
        </vendor>
        <column name="LOG_CASE_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="USR_NAME" type="VARCHAR" size="32" required="true" default=""/>
        <column name="EXEC_DATE" type="DATE" required="true"/>
        <column name="EXEC_HOUR" type="VARCHAR" size="32" required="true" default="12:00"/>
        <column name="RESULT" type="VARCHAR" size="32" required="true" default="SUCCESS"/>
        <column name="SCH_UID" type="VARCHAR" size="32" required="true" default="OPEN"/>
        <column name="WS_CREATE_CASE_STATUS" type="LONGVARCHAR" required="true"/>
        <column name="WS_ROUTE_CASE_STATUS" type="LONGVARCHAR" required="true"/>
    </table>
    <table name="CASE_SCHEDULER">
        <vendor type="mysql">
            <parameter name="Name" value="CASE_SCHEDULER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Conditions store to show or hide dynaform fields.."/>
        </vendor>
        <column name="SCH_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="SCH_DEL_USER_NAME" type="VARCHAR" size="100" required="true"/>
        <column name="SCH_DEL_USER_PASS" type="VARCHAR" size="100" required="true"/>
        <column name="SCH_DEL_USER_UID" type="VARCHAR" size="100" required="true"/>
        <column name="SCH_NAME" type="VARCHAR" size="100" required="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SCH_TIME_NEXT_RUN" type="TIMESTAMP" required="true"/>
        <column name="SCH_LAST_RUN_TIME" type="TIMESTAMP" required="false"/>
        <column name="SCH_STATE" type="VARCHAR" size="15" required="true" default="ACTIVE"/>
        <column name="SCH_LAST_STATE" type="VARCHAR" size="60" required="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SCH_OPTION" type="TINYINT" required="true" default="0"/>
        <column name="SCH_START_TIME" type="TIMESTAMP" required="true"/>
        <column name="SCH_START_DATE" type="TIMESTAMP" required="true"/>
        <column name="SCH_DAYS_PERFORM_TASK" type="CHAR" size="5" required="true" default=""/>
        <column name="SCH_EVERY_DAYS" type="TINYINT" required="false" default="0"/>
        <column name="SCH_WEEK_DAYS" type="CHAR" size="14" required="true" default="0|0|0|0|0|0|0"/>
        <column name="SCH_START_DAY" type="CHAR" size="6" required="true" default=""/>
        <column name="SCH_MONTHS" type="CHAR" size="27" required="true" default="0|0|0|0|0|0|0|0|0|0|0|0"/>
        <column name="SCH_END_DATE" type="TIMESTAMP" required="false"/>
        <column name="SCH_REPEAT_EVERY" type="VARCHAR" size="15" required="true" default=""/>
        <column name="SCH_REPEAT_UNTIL" type="VARCHAR" size="15" required="true" default=""/>
        <column name="SCH_REPEAT_STOP_IF_RUNNING" type="TINYINT" required="false" default="0"/>
        <column name="SCH_EXECUTION_DATE" type="TIMESTAMP" required="false"/>
        <column name="CASE_SH_PLUGIN_UID" type="VARCHAR" size="100" required="false"/>
    </table>
    <table name="CALENDAR_DEFINITION">
        <vendor type="mysql">
            <parameter name="Name" value="CALENDAR_DEFINITION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Calendar Definition used by PM"/>
        </vendor>
        <column name="CALENDAR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="CALENDAR_NAME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="CALENDAR_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="CALENDAR_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="CALENDAR_WORK_DAYS" type="VARCHAR" size="100" required="true" default=""/>
        <column name="CALENDAR_DESCRIPTION" type="LONGVARCHAR" required="true"/>
        <column name="CALENDAR_STATUS" type="VARCHAR" size="8" required="true" default="ACTIVE"/>
        <validator column="CALENDAR_STATUS">
            <rule name="validValues" value="ACTIVE|INACTIVE|DELETED" message="Please select a valid Calendar Status."/>
        </validator>
    </table>
    <table name="CALENDAR_BUSINESS_HOURS">
        <vendor type="mysql">
            <parameter name="Name" value="CALENDAR_BUSINESS_HOURS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Calendar Business Hours"/>
        </vendor>
        <column name="CALENDAR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="CALENDAR_BUSINESS_DAY" type="VARCHAR" size="10" required="true" primaryKey="true" default=""/>
        <column name="CALENDAR_BUSINESS_START" type="VARCHAR" size="10" required="true" primaryKey="true" default=""/>
        <column name="CALENDAR_BUSINESS_END" type="VARCHAR" size="10" primaryKey="true" required="true" default=""/>
        <validator column="CALENDAR_BUSINESS_DAY">
            <rule name="validValues" value="0|1|2|3|4|5|6|7" message="Please select a valid Day."/>
        </validator>
    </table>
    <table name="CALENDAR_HOLIDAYS">
        <vendor type="mysql">
            <parameter name="Name" value="CALENDAR_HOLIDAYS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Calendar Holidays"/>
        </vendor>
        <column name="CALENDAR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="CALENDAR_HOLIDAY_NAME" type="VARCHAR" size="100" primaryKey="true" required="true" default=""/>
        <column name="CALENDAR_HOLIDAY_START" type="TIMESTAMP" required="true"/>
        <column name="CALENDAR_HOLIDAY_END" type="TIMESTAMP" required="true"/>
    </table>
    <table name="CALENDAR_ASSIGNMENTS">
        <vendor type="mysql">
            <parameter name="Name" value="CALENDAR_ASSIGNMENTS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Calendar Holidays"/>
        </vendor>
        <column name="OBJECT_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="CALENDAR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="OBJECT_TYPE" type="VARCHAR" size="100" required="true" default=""/>
    </table>
    <table name="PROCESS_CATEGORY" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="PROCESS_CATEGORY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Calendar Holidays"/>
        </vendor>
        <column name="CATEGORY_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="CATEGORY_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="CATEGORY_PARENT" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="CATEGORY_NAME" type="VARCHAR" size="100" required="true" default=""/>
        <column name="CATEGORY_ICON" type="VARCHAR" size="100" default=""/>
        <unique name="INDEX_CATEGORY_ID">
            <unique-column name="CATEGORY_ID"/>
        </unique>
    </table>
    <table name="APP_NOTES" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="APP_NOTES"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2007-12-06 07:22:27"/>
            <parameter name="Update_time" value="2007-12-09 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Application Notes"/>
        </vendor>
        <column name="NOTE_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="APP_NUMBER" type="INTEGER" required="false" default="0"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="NOTE_DATE" type="TIMESTAMP" required="true"/>
        <column name="NOTE_CONTENT" type="LONGVARCHAR" required="true"/>
        <column name="NOTE_TYPE" type="VARCHAR" size="32" required="true" default="USER"/>
        <column name="NOTE_AVAILABILITY" type="VARCHAR" size="32" required="true" default="PUBLIC"/>
        <column name="NOTE_ORIGIN_OBJ" type="VARCHAR" size="32" default=""/>
        <column name="NOTE_AFFECTED_OBJ1" type="VARCHAR" size="32" default=""/>
        <column name="NOTE_AFFECTED_OBJ2" type="VARCHAR" size="32" required="true" default=""/>
        <column name="NOTE_RECIPIENTS" type="LONGVARCHAR"/>
        <unique name="NOTE_ID">
            <unique-column name="NOTE_ID"/>
        </unique>
        <index name="indexAppNotesDate">
            <index-column name="APP_UID"/>
            <index-column name="NOTE_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_NOTES"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppNotesDate"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppNotesUser">
            <index-column name="APP_UID"/>
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_NOTES"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppNotesUser"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppNumber">
            <index-column name="APP_NUMBER"/>
        </index>
    </table>
    <table name="DASHLET">
        <vendor type="mysql">
            <parameter name="Name" value="DASHLET"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2011-10-28 09:55:00"/>
            <parameter name="Update_time" value="2011-10-28 09:55:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Dashblets definitions"/>
        </vendor>
        <column name="DAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DAS_CLASS" type="VARCHAR" size="50" required="true" default=""/>
        <column name="DAS_TITLE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="DAS_DESCRIPTION" type="LONGVARCHAR" required="false"/>
        <column name="DAS_VERSION" type="VARCHAR" size="10" required="true" default="1.0"/>
        <column name="DAS_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DAS_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DAS_STATUS" type="TINYINT" required="true" default="1"/>
    </table>
    <table name="DASHLET_INSTANCE">
        <vendor type="mysql">
            <parameter name="Name" value="DASHLET_INSTANCE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2011-10-28 09:55:00"/>
            <parameter name="Update_time" value="2011-10-28 09:55:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Dashblets definitions"/>
        </vendor>
        <column name="DAS_INS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DAS_INS_OWNER_TYPE" type="VARCHAR" size="20" required="true" default=""/>
        <column name="DAS_INS_OWNER_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="DAS_INS_ADDITIONAL_PROPERTIES" type="LONGVARCHAR" required="false"/>
        <column name="DAS_INS_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DAS_INS_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DAS_INS_STATUS" type="TINYINT" required="true" default="1"/>
    </table>
    <table name="APP_SOLR_QUEUE">
        <vendor type="mysql">
            <parameter name="Name" value="APP_SOLR_QUEUE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2012-04-26 07:22:27"/>
            <parameter name="Update_time" value="2012-04-26 14:08:22"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="APP_SOLR_QUEUE"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="APP_CHANGE_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_CHANGE_TRACE" type="VARCHAR" size="500" required="true"/>
        <column name="APP_UPDATED" type="TINYINT" required="true" default="1"/>
    </table>
    <table name="SEQUENCES">
        <vendor type="mysql">
            <parameter name="Name" value="SEQUENCES"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="2"/>
            <parameter name="Avg_row_length" value="128"/>
            <parameter name="Data_length" value="6768"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2013-05-17 11:21:20"/>
            <parameter name="Update_time" value="2013-05-17 11:48:16"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Sequences, Controls the numerical sequence of a table"/>
        </vendor>
        <column name="SEQ_NAME" type="VARCHAR" size="50" required="true" primaryKey="true" default=""/>
        <column name="SEQ_VALUE" type="INTEGER" required="true" default="0"/>
    </table>

    <table name="SESSION_STORAGE">
        <vendor type="mysql">
            <parameter name="Name" value="SESSION_STORAGE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ID" type="VARCHAR" size="128" required="true" primaryKey="true"/>
        <column name="SET_TIME" type="VARCHAR" size="10" required="true"/>
        <column name="DATA" type="LONGVARCHAR" required="true"/>
        <column name="SESSION_KEY" type="VARCHAR" size="128" required="true"/>
        <column name="CLIENT_ADDRESS" type="VARCHAR" size="32" required="false" default="0.0.0.0"/>

        <index name="indexSessionStorage">
            <index-column name="ID"/>
        </index>
    </table>

    <table name="PROCESS_FILES">
        <vendor type="mysql">
            <parameter name="Name" value="PROCESS_FILES"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="129"/>
            <parameter name="Avg_row_length" value="115"/>
            <parameter name="Data_length" value="14860"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="5120"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2011-10-28 09:55:00"/>
            <parameter name="Update_time" value="2011-10-28 09:55:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Application files metadata"/>
        </vendor>
        <column name="PRF_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true"/>
        <column name="PRF_UPDATE_USR_UID" type="VARCHAR" size="32" required="true"/>
        <column name="PRF_PATH" type="VARCHAR" size="256" required="true" default=""/>
        <column name="PRF_TYPE" type="VARCHAR" size="32" required="false" default=""/>
        <column name="PRF_EDITABLE" type="TINYINT" required="false" default="1"/>
        <column name="PRF_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="PRF_UPDATE_DATE" type="TIMESTAMP" required="false"/>
    </table>

    <table name="WEB_ENTRY">
        <vendor type="mysql">
            <parameter name="Name" value="WEB_ENTRY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="WE_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true"/>
        <column name="DYN_UID" type="VARCHAR" size="32" required="false"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="false"/>
        <column name="WE_METHOD" type="VARCHAR" size="4" default="HTML"/>
        <column name="WE_INPUT_DOCUMENT_ACCESS" type="INTEGER" default="0"/>
        <column name="WE_DATA" type="LONGVARCHAR"/>
        <column name="WE_CREATE_USR_UID" type="VARCHAR" size="32" default="" required="true"/>
        <column name="WE_UPDATE_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="WE_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="WE_UPDATE_DATE" type="TIMESTAMP"/>
        <!-- PROD-181: Web Entry 2.0 -->
        <column name="WE_TYPE" type="VARCHAR" size="8" required="true" default="SINGLE"/>
        <column name="WE_CUSTOM_TITLE" type="LONGVARCHAR"/>
        <column name="WE_AUTHENTICATION" type="VARCHAR" size="14" required="true" default="ANONYMOUS"/>
        <column name="WE_HIDE_INFORMATION_BAR" type="CHAR" size="1" default="1"/>
        <column name="WE_HIDE_ACTIVE_SESSION_WARNING" type="CHAR" size="1" default="1"/>
        <column name="WE_CALLBACK" type="VARCHAR" size="13" required="true" default="PROCESSMAKER"/>
        <column name="WE_CALLBACK_URL" type="LONGVARCHAR"/>
        <column name="WE_LINK_GENERATION" type="VARCHAR" size="8" required="true" default="DEFAULT"/>
        <column name="WE_LINK_SKIN" type="VARCHAR" size="255"/>
        <column name="WE_LINK_LANGUAGE" type="VARCHAR" size="255"/>
        <column name="WE_LINK_DOMAIN" type="LONGVARCHAR"/>
        <column name="WE_SHOW_IN_NEW_CASE" type="CHAR" size="1" default="1"/>
        <validator column="WE_TYPE">
            <rule name="validValues" value="SINGLE|MULTIPLE" message="Please enter a valid value for WE_TYPE"/>
        </validator>
        <validator column="WE_AUTHENTICATION">
            <rule name="validValues" value="ANONYMOUS|LOGIN_REQUIRED"
                  message="Please enter a valid value for WE_AUTHENTICATION"/>
        </validator>
        <validator column="WE_CALLBACK">
            <rule name="validValues" value="PROCESSMAKER|CUSTOM|CUSTOM_CLEAR"
                  message="Please enter a valid value for WE_CALLBACK"/>
        </validator>
        <validator column="WE_LINK_GENERATION">
            <rule name="validValues" value="DEFAULT|ADVANCED"
                  message="Please enter a valid value for WE_LINK_GENERATION"/>
        </validator>
    </table>

    <!--
      OAUTH TABLES DEFINITION
    -->
    <table name="OAUTH_ACCESS_TOKENS">
        <vendor type="mysql">
            <parameter name="Name" value="OAUTH_ACCESS_TOKENS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ACCESS_TOKEN" type="VARCHAR" size="40" required="true" primaryKey="true"/>
        <column name="CLIENT_ID" type="VARCHAR" size="80" required="true"/>
        <column name="USER_ID" type="VARCHAR" size="32" required="false"/>
        <column name="EXPIRES" type="TIMESTAMP" required="true"/>
        <column name="SCOPE" type="VARCHAR" size="2000" required="false"/>
    </table>
    <table name="OAUTH_AUTHORIZATION_CODES">
        <vendor type="mysql">
            <parameter name="Name" value="OAUTH_AUTHORIZATION_CODES"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="AUTHORIZATION_CODE" type="VARCHAR" size="40" required="true" primaryKey="true"/>
        <column name="CLIENT_ID" type="VARCHAR" size="80" required="true"/>
        <column name="USER_ID" type="VARCHAR" size="32" required="false"/>
        <column name="REDIRECT_URI" type="VARCHAR" size="2000" required="false"/>
        <column name="EXPIRES" type="TIMESTAMP" required="true"/>
        <column name="SCOPE" type="VARCHAR" size="2000" required="false"/>
    </table>
    <table name="OAUTH_CLIENTS">
        <vendor type="mysql">
            <parameter name="Name" value="OAUTH_CLIENTS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="CLIENT_ID" type="VARCHAR" size="80" required="true" primaryKey="true"/>
        <column name="CLIENT_SECRET" type="VARCHAR" size="80" required="true"/>
        <column name="CLIENT_NAME" type="VARCHAR" size="256" required="true"/>
        <column name="CLIENT_DESCRIPTION" type="VARCHAR" size="1024" required="true"/>
        <column name="CLIENT_WEBSITE" type="VARCHAR" size="1024" required="true"/>
        <column name="REDIRECT_URI" type="VARCHAR" size="2000" required="true"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true"/>
    </table>
    <table name="OAUTH_REFRESH_TOKENS">
        <vendor type="mysql">
            <parameter name="Name" value="OAUTH_REFRESH_TOKENS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="REFRESH_TOKEN" type="VARCHAR" size="40" required="true" primaryKey="true"/>
        <column name="CLIENT_ID" type="VARCHAR" size="80" required="true"/>
        <column name="USER_ID" type="VARCHAR" size="32" required="false"/>
        <column name="EXPIRES" type="TIMESTAMP" required="true"/>
        <column name="SCOPE" type="VARCHAR" size="2000" required="false"/>
    </table>
    <table name="OAUTH_SCOPES">
        <vendor type="mysql">
            <parameter name="Name" value="OAUTH_SCOPES"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="TYPE" type="VARCHAR" size="40" required="true"/>
        <column name="SCOPE" type="VARCHAR" size="2000" required="false"/>
        <column name="CLIENT_ID" type="VARCHAR" size="80" required="false"/>
    </table>

    <table name="PMOAUTH_USER_ACCESS_TOKENS">
        <vendor type="mysql">
            <parameter name="Name" value="PMOAUTH_USER_ACCESS_TOKENS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ACCESS_TOKEN" type="VARCHAR" size="40" required="true" primaryKey="true"/>
        <column name="REFRESH_TOKEN" type="VARCHAR" size="40" required="true"/>
        <column name="USER_ID" type="VARCHAR" size="32" required="false"/>
        <column name="SESSION_ID" type="VARCHAR" size="64" required="true"/>
        <column name="SESSION_NAME" type="VARCHAR" size="64" required="true"/>
    </table>

    <!--
      BPMN TABLES DEFINITION
    -->
    <table name="BPMN_PROJECT">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_PROJECT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_NAME" type="VARCHAR" size="255" required="true" default=""/>
        <column name="PRJ_DESCRIPTION" type="VARCHAR" size="512" required="false"/>
        <column name="PRJ_TARGET_NAMESPACE" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_EXPRESION_LANGUAGE" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_TYPE_LANGUAGE" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_EXPORTER" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_EXPORTER_VERSION" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="PRJ_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="PRJ_AUTHOR" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_AUTHOR_VERSION" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_ORIGINAL_SOURCE" type="LONGVARCHAR" required="false"/>
        <index name="BPMN_PROJECT_I_1">
            <index-column name="PRJ_UID"/>
        </index>
    </table>

    <table name="BPMN_PROCESS">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_PROCESS"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="DIA_UID" type="VARCHAR" size="32" required="false"/>
        <column name="PRO_NAME" type="VARCHAR" size="255" required="true"/>
        <column name="PRO_TYPE" type="VARCHAR" size="10" required="true" default="NONE"/>
        <column name="PRO_IS_EXECUTABLE" type="TINYINT" required="true" default="0"/>
        <column name="PRO_IS_CLOSED" type="TINYINT" required="true" default="0"/>
        <column name="PRO_IS_SUBPROCESS" type="TINYINT" required="true" default="0"/>
        <foreign-key name="fk_bpmn_process_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <index name="BPMN_PROCESS_I_1">
            <index-column name="PRO_UID"/>
        </index>
        <index name="BPMN_PROCESS_I_2">
            <index-column name="PRJ_UID"/>
        </index>
    </table>

    <table name="BPMN_ACTIVITY">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_ACTIVITY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ACT_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="ACT_NAME" type="VARCHAR" size="255" required="true"/>
        <column name="ACT_TYPE" type="VARCHAR" size="30" required="true" default="TASK"/>
        <column name="ACT_IS_FOR_COMPENSATION" type="TINYINT" required="false" default="0"/>
        <column name="ACT_START_QUANTITY" type="INTEGER" required="false" default="1"/>
        <column name="ACT_COMPLETION_QUANTITY" type="INTEGER" required="false" default="1"/>
        <column name="ACT_TASK_TYPE" type="VARCHAR" size="20" required="true" default="EMPTY"/>
        <column name="ACT_IMPLEMENTATION" type="LONGVARCHAR" required="false"/>
        <column name="ACT_INSTANTIATE" type="TINYINT" required="false" default="0"/>
        <column name="ACT_SCRIPT_TYPE" type="VARCHAR" size="255" required="false"/>
        <column name="ACT_SCRIPT" type="LONGVARCHAR" required="false"/>
        <column name="ACT_LOOP_TYPE" type="VARCHAR" size="20" required="true" default="EMPTY"/>
        <column name="ACT_TEST_BEFORE" type="TINYINT" required="false" default="0"/>
        <column name="ACT_LOOP_MAXIMUM" type="INTEGER" required="false" default="0"/>
        <column name="ACT_LOOP_CONDITION" type="VARCHAR" size="100" required="false"/>
        <column name="ACT_LOOP_CARDINALITY" type="INTEGER" required="false" default="0"/>
        <column name="ACT_LOOP_BEHAVIOR" type="VARCHAR" size="20" required="false" default="NONE"/>
        <column name="ACT_IS_ADHOC" type="TINYINT" required="false" default="0"/>
        <column name="ACT_IS_COLLAPSED" type="TINYINT" required="false" default="1"/>
        <column name="ACT_COMPLETION_CONDITION" type="VARCHAR" size="255" required="false"/>
        <column name="ACT_ORDERING" type="VARCHAR" size="20" required="false" default="PARALLEL"/>
        <column name="ACT_CANCEL_REMAINING_INSTANCES" type="TINYINT" required="false" default="1"/>
        <column name="ACT_PROTOCOL" type="VARCHAR" size="255" required="false"/>
        <column name="ACT_METHOD" type="VARCHAR" size="255" required="false"/>
        <column name="ACT_IS_GLOBAL" type="TINYINT" required="false" default="0"/>
        <column name="ACT_REFERER" type="VARCHAR" size="32" required="false" default=""/>
        <column name="ACT_DEFAULT_FLOW" type="VARCHAR" size="32" required="false" default=""/>
        <column name="ACT_MASTER_DIAGRAM" type="VARCHAR" size="32" required="false" default=""/>
        <foreign-key name="fk_bpmn_activity_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_activity_process" foreignTable="BPMN_PROCESS">
            <reference local="PRO_UID" foreign="PRO_UID"/>
        </foreign-key>
        <index name="BPMN_ACTIVITY_I_1">
            <index-column name="ACT_UID"/>
        </index>
        <index name="BPMN_ACTIVITY_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_ACTIVITY_I_3">
            <index-column name="PRO_UID"/>
        </index>
    </table>

    <table name="BPMN_ARTIFACT">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_ARTIFACT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ART_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="ART_TYPE" type="VARCHAR" size="15" required="true"/>
        <column name="ART_NAME" type="LONGVARCHAR" required="false"/>
        <column name="ART_CATEGORY_REF" type="VARCHAR" size="32" required="false"/>
        <foreign-key name="fk_bpmn_artifact_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_artifact_process" foreignTable="BPMN_PROCESS">
            <reference local="PRO_UID" foreign="PRO_UID"/>
        </foreign-key>
        <index name="BPMN_ARTIFACT_I_1">
            <index-column name="ART_UID"/>
        </index>
        <index name="BPMN_ARTIFACT_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_ARTIFACT_I_3">
            <index-column name="PRO_UID"/>
        </index>
    </table>

    <table name="BPMN_DIAGRAM">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_DIAGRAM"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="DIA_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="DIA_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="DIA_IS_CLOSABLE" type="TINYINT" required="false" default="0"/>
        <foreign-key name="fk_bpmn_diagram_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <index name="BPMN_DIAGRAM_I_1">
            <index-column name="DIA_UID"/>
        </index>
        <index name="BPMN_DIAGRAM_I_2">
            <index-column name="PRJ_UID"/>
        </index>
    </table>

    <table name="BPMN_BOUND">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_BOUND"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="BOU_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DIA_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="ELEMENT_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="BOU_ELEMENT" type="VARCHAR" size="32" required="true" default=""/>
        <column name="BOU_ELEMENT_TYPE" type="VARCHAR" size="32" required="true" default=""/>
        <column name="BOU_X" type="INTEGER" required="true" default="0"/>
        <column name="BOU_Y" type="INTEGER" required="true" default="0"/>
        <column name="BOU_WIDTH" type="INTEGER" required="true" default="0"/>
        <column name="BOU_HEIGHT" type="INTEGER" required="true" default="0"/>
        <column name="BOU_REL_POSITION" type="INTEGER" required="false" default="0"/>
        <column name="BOU_SIZE_IDENTICAL" type="INTEGER" required="false" default="0"/>
        <column name="BOU_CONTAINER" type="VARCHAR" size="30" required="false" default=""/>
        <foreign-key name="fk_bpmn_bound_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_bound_diagram" foreignTable="BPMN_DIAGRAM">
            <reference local="DIA_UID" foreign="DIA_UID"/>
        </foreign-key>
        <index name="BPMN_BOUND_I_1">
            <index-column name="BOU_UID"/>
        </index>
        <index name="BPMN_BOUND_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_BOUND_I_3">
            <index-column name="DIA_UID"/>
        </index>
    </table>

    <table name="BPMN_DATA">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_DATA"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="DAT_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="DAT_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="DAT_TYPE" type="VARCHAR" size="20" required="true"/>
        <column name="DAT_IS_COLLECTION" type="TINYINT" required="false" default="0"/>
        <column name="DAT_ITEM_KIND" type="VARCHAR" size="20" required="true" default="INFORMATION"/>
        <column name="DAT_CAPACITY" type="INTEGER" required="false" default="0"/>
        <column name="DAT_IS_UNLIMITED" type="TINYINT" required="false" default="0"/>
        <column name="DAT_STATE" type="VARCHAR" size="255" required="false" default=""/>
        <column name="DAT_IS_GLOBAL" type="TINYINT" required="false" default="0"/>
        <column name="DAT_OBJECT_REF" type="VARCHAR" size="32" required="false" default=""/>
        <foreign-key name="fk_bpmn_data_process" foreignTable="BPMN_PROCESS">
            <reference local="PRO_UID" foreign="PRO_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_data_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <index name="BPMN_DATA_I_1">
            <index-column name="DAT_UID"/>
        </index>
        <index name="BPMN_DATA_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_DATA_I_3">
            <index-column name="PRO_UID"/>
        </index>
    </table>

    <table name="BPMN_EVENT">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_EVENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="EVN_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="EVN_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_TYPE" type="VARCHAR" size="30" required="true" default=""/>
        <column name="EVN_MARKER" type="VARCHAR" size="30" required="true" default="EMPTY"/>
        <column name="EVN_IS_INTERRUPTING" type="TINYINT" required="false" default="1"/>
        <column name="EVN_ATTACHED_TO" type="VARCHAR" size="32" required="false" default=""/>
        <column name="EVN_CANCEL_ACTIVITY" type="TINYINT" required="false" default="0"/>
        <column name="EVN_ACTIVITY_REF" type="VARCHAR" size="32" required="false" default=""/>
        <column name="EVN_WAIT_FOR_COMPLETION" type="TINYINT" required="false" default="1"/>
        <column name="EVN_ERROR_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_ERROR_CODE" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_ESCALATION_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_ESCALATION_CODE" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_CONDITION" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_MESSAGE" type="LONGVARCHAR" required="false"/>
        <column name="EVN_OPERATION_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_OPERATION_IMPLEMENTATION_REF" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_TIME_DATE" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_TIME_CYCLE" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_TIME_DURATION" type="VARCHAR" size="255" required="false"/>
        <column name="EVN_BEHAVIOR" type="VARCHAR" size="20" required="true" default="CATCH"/>
        <foreign-key name="fk_bpmn_event_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_event_process" foreignTable="BPMN_PROCESS">
            <reference local="PRO_UID" foreign="PRO_UID"/>
        </foreign-key>
        <index name="BPMN_EVENT_I_1">
            <index-column name="EVN_UID"/>
        </index>
        <index name="BPMN_EVENT_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_EVENT_I_3">
            <index-column name="PRO_UID"/>
        </index>
    </table>

    <table name="BPMN_FLOW">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_FLOW"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="FLO_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DIA_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FLO_TYPE" type="VARCHAR" size="20" required="true" default=""/>
        <column name="FLO_NAME" type="VARCHAR" size="255" required="false" default=""/>
        <column name="FLO_ELEMENT_ORIGIN" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FLO_ELEMENT_ORIGIN_TYPE" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FLO_ELEMENT_ORIGIN_PORT" type="INTEGER" required="true" default="0"/>
        <column name="FLO_ELEMENT_DEST" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FLO_ELEMENT_DEST_TYPE" type="VARCHAR" size="32" required="true" default=""/>
        <column name="FLO_ELEMENT_DEST_PORT" type="INTEGER" required="true" default="0"/>
        <column name="FLO_IS_INMEDIATE" type="TINYINT" required="false"/>
        <column name="FLO_CONDITION" type="VARCHAR" size="512" required="false"/>
        <column name="FLO_X1" type="INTEGER" required="true" default="0"/>
        <column name="FLO_Y1" type="INTEGER" required="true" default="0"/>
        <column name="FLO_X2" type="INTEGER" required="true" default="0"/>
        <column name="FLO_Y2" type="INTEGER" required="true" default="0"/>
        <column name="FLO_STATE" type="LONGVARCHAR" required="false"/>
        <column name="FLO_POSITION" type="INTEGER" required="true" default="0"/>
        <foreign-key name="fk_bpmn_flow_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_flow_diagram" foreignTable="BPMN_DIAGRAM">
            <reference local="DIA_UID" foreign="DIA_UID"/>
        </foreign-key>
        <index name="BPMN_FLOW_I_1">
            <index-column name="FLO_UID"/>
        </index>
        <index name="BPMN_FLOW_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_FLOW_I_3">
            <index-column name="DIA_UID"/>
        </index>
    </table>

    <table name="BPMN_GATEWAY">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_GATEWAY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="GAT_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="GAT_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="GAT_TYPE" type="VARCHAR" size="30" required="true" default=""/>
        <column name="GAT_DIRECTION" type="VARCHAR" size="30" required="false" default="UNSPECIFIED"/>
        <column name="GAT_INSTANTIATE" type="TINYINT" required="false" default="0"/>
        <column name="GAT_EVENT_GATEWAY_TYPE" type="VARCHAR" size="20" required="false" default="NONE"/>
        <column name="GAT_ACTIVATION_COUNT" type="INTEGER" required="false" default="0"/>
        <column name="GAT_WAITING_FOR_START" type="TINYINT" required="false" default="1"/>
        <column name="GAT_DEFAULT_FLOW" type="VARCHAR" size="32" required="false" default=""/>
        <foreign-key name="fk_bpmn_gateway_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_gateway_process" foreignTable="BPMN_PROCESS">
            <reference local="PRO_UID" foreign="PRO_UID"/>
        </foreign-key>
        <index name="BPMN_GATEWAY_I_1">
            <index-column name="GAT_UID"/>
        </index>
        <index name="BPMN_GATEWAY_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_GATEWAY_I_3">
            <index-column name="PRO_UID"/>
        </index>
    </table>

    <table name="BPMN_LANESET">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_LANESET"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="LNS_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false"/>
        <column name="LNS_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="LNS_PARENT_LANE" type="VARCHAR" size="32" required="false"/>
        <column name="LNS_IS_HORIZONTAL" type="TINYINT" required="false" default="1"/>
        <column name="LNS_STATE" type="LONGVARCHAR" required="false"/>
        <foreign-key name="fk_bpmn_laneset_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <foreign-key name="fk_bpmn_laneset_process" foreignTable="BPMN_PROCESS">
            <reference local="PRO_UID" foreign="PRO_UID"/>
        </foreign-key>
        <index name="BPMN_LANESET_I_1">
            <index-column name="LNS_UID"/>
        </index>
        <index name="BPMN_LANESET_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_LANESET_I_3">
            <index-column name="PRO_UID"/>
        </index>
    </table>

    <table name="BPMN_LANE">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_LANE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="LAN_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="LNS_UID" type="VARCHAR" size="32" required="true"/>
        <column name="LAN_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="LAN_CHILD_LANESET" type="VARCHAR" size="32" required="false"/>
        <column name="LAN_IS_HORIZONTAL" type="TINYINT" required="false" default="1"/>
        <foreign-key name="fk_bpmn_lane_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <index name="BPMN_LANE_I_1">
            <index-column name="LAN_UID"/>
        </index>
        <index name="BPMN_LANE_I_2">
            <index-column name="PRJ_UID"/>
        </index>
        <index name="BPMN_LANE_I_3">
            <index-column name="LNS_UID"/>
        </index>
    </table>

    <table name="BPMN_PARTICIPANT">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_PARTICIPANT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="PAR_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="LNS_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="PAR_NAME" type="VARCHAR" size="255" required="true" default=""/>
        <column name="PAR_MINIMUM" type="INTEGER" required="false" default="0"/>
        <column name="PAR_MAXIMUM" type="INTEGER" required="false" default="1"/>
        <column name="PAR_NUM_PARTICIPANTS" type="INTEGER" required="false" default="1"/>
        <column name="PAR_IS_HORIZONTAL" type="TINYINT" required="true" default="1"/>
        <foreign-key name="fk_bpmn_participant_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <index name="BPMN_PARTICIPANT_I_1">
            <index-column name="PAR_UID"/>
        </index>
        <index name="BPMN_PARTICIPANT_I_2">
            <index-column name="PRJ_UID"/>
        </index>
    </table>

    <table name="BPMN_EXTENSION">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_EXTENSION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="EXT_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="EXT_ELEMENT" type="VARCHAR" size="32" required="true"/>
        <column name="EXT_ELEMENT_TYPE" type="VARCHAR" size="45" required="true"/>
        <column name="EXT_EXTENSION" type="LONGVARCHAR" required="false"/>
        <foreign-key name="fk_bpmn_extension_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <index name="BPMN_EXTENSION_I_1">
            <index-column name="EXT_UID"/>
        </index>
        <index name="BPMN_EXTENSION_I_2">
            <index-column name="PRJ_UID"/>
        </index>
    </table>

    <table name="BPMN_DOCUMENTATION">
        <vendor type="mysql">
            <parameter name="Name" value="BPMN_DOCUMENTATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="DOC_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="DOC_ELEMENT" type="VARCHAR" size="32" required="true"/>
        <column name="DOC_ELEMENT_TYPE" type="VARCHAR" size="45" required="true"/>
        <column name="DOC_DOCUMENTATION" type="LONGVARCHAR" required="false"/>
        <foreign-key name="fk_bpmn_documentation_project" foreignTable="BPMN_PROJECT">
            <reference local="PRJ_UID" foreign="PRJ_UID"/>
        </foreign-key>
        <index name="BPMN_DOCUMENTATION_I_1">
            <index-column name="DOC_UID"/>
        </index>
        <index name="BPMN_DOCUMENTATION_I_2">
            <index-column name="PRJ_UID"/>
        </index>
    </table>

    <table name="PROCESS_VARIABLES" idMethod="native">
        <vendor type="mysql">
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Collation" value="utf8_general_ci"/>
        </vendor>
        <column name="VAR_ID" type="INTEGER" required="true" autoIncrement="true" unique="true"/>
        <column name="VAR_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="VAR_NAME" type="VARCHAR" size="255" default=""/>
        <column name="VAR_FIELD_TYPE" type="VARCHAR" size="32" default=""/>
        <column name="VAR_FIELD_TYPE_ID" type="INTEGER" default="0"/>
        <column name="VAR_FIELD_SIZE" type="INTEGER"/>
        <column name="VAR_LABEL" type="VARCHAR" size="255" default=""/>
        <column name="VAR_DBCONNECTION" type="VARCHAR" size="32"/>
        <column name="VAR_SQL" type="LONGVARCHAR"/>
        <column name="VAR_NULL" type="TINYINT" default="0"/>
        <column name="VAR_DEFAULT" type="VARCHAR" size="32" default=""/>
        <column name="VAR_ACCEPTED_VALUES" type="LONGVARCHAR"/>
        <column name="INP_DOC_UID" type="VARCHAR" size="32" default=""/>
        <unique name="VAR_ID">
            <unique-column name="VAR_ID"/>
        </unique>
        <index name="indexPrjUidVarName">
            <index-column name="PRJ_UID"/>
            <index-column name="VAR_NAME"/>
            <vendor type="mysql">
                <parameter name="Table" value="PROCESS_VARIABLES"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexPrjUidVarName"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
    </table>

    <table name="APP_TIMEOUT_ACTION_EXECUTED">
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default="" primaryKey="true"/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0" primaryKey="true"/>
        <column name="EXECUTION_DATE" type="TIMESTAMP" required="false"/>
    </table>

    <table name="ADDONS_STORE">
        <column name="STORE_ID" type="VARCHAR" size="32" primaryKey="true" required="true"/>
        <column name="STORE_VERSION" type="INTEGER"/>
        <column name="STORE_LOCATION" type="VARCHAR" size="2048" required="true"/>
        <column name="STORE_TYPE" type="VARCHAR" size="255" required="true"/>
        <column name="STORE_LAST_UPDATED" type="TIMESTAMP"/>
    </table>

    <table name="ADDONS_MANAGER">
        <column name="ADDON_ID" type="VARCHAR" size="255" required="true" primaryKey="true"/>
        <column name="STORE_ID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="ADDON_NAME" type="VARCHAR" size="255" required="true"/>
        <column name="ADDON_NICK" type="VARCHAR" size="255" required="true"/>
        <column name="ADDON_DOWNLOAD_FILENAME" type="VARCHAR" size="1024" required="false"/>
        <column name="ADDON_DESCRIPTION" type="VARCHAR" size="2048" required="false"/>
        <column name="ADDON_STATE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="ADDON_STATE_CHANGED" type="TIMESTAMP" required="false"/>
        <column name="ADDON_STATUS" type="VARCHAR" size="255" required="true"/>
        <column name="ADDON_VERSION" type="VARCHAR" size="255" required="true"/>
        <column name="ADDON_TYPE" type="VARCHAR" size="255" required="true"/>
        <column name="ADDON_PUBLISHER" type="VARCHAR" size="255" required="false"/>
        <column name="ADDON_RELEASE_DATE" type="TIMESTAMP" required="false"/>
        <column name="ADDON_RELEASE_TYPE" type="VARCHAR" size="255" required="false"/>
        <column name="ADDON_RELEASE_NOTES" type="VARCHAR" size="255" required="false"/>
        <column name="ADDON_DOWNLOAD_URL" type="VARCHAR" size="2048" required="false"/>
        <column name="ADDON_DOWNLOAD_PROGRESS" type="FLOAT" required="false"/>
        <column name="ADDON_DOWNLOAD_MD5" type="VARCHAR" size="32" required="false"/>
        <index name="indexAddonsType">
            <index-column name="ADDON_TYPE"/>
        </index>
    </table>

    <table name="LICENSE_MANAGER">
        <column name="LICENSE_UID" type="VARCHAR" size="32" primaryKey="true" required="true"/>
        <column name="LICENSE_USER" type="VARCHAR" size="150" required="true" default="0"/>
        <column name="LICENSE_START" type="INTEGER" required="true" default="0"/>
        <column name="LICENSE_END" type="INTEGER" required="true" default="0"/>
        <column name="LICENSE_SPAN" type="INTEGER" required="true" default="0"/>
        <column name="LICENSE_STATUS" type="VARCHAR" size="100" required="true" default=""/>
        <column name="LICENSE_DATA" type="LONGVARCHAR" required="true"/>
        <column name="LICENSE_PATH" type="VARCHAR" size="255" required="true" default="0"/>
        <column name="LICENSE_WORKSPACE" type="VARCHAR" size="32" required="true" default="0"/>
        <column name="LICENSE_TYPE" type="VARCHAR" size="32" required="true" default="0"/>
    </table>

    <table name="APP_ASSIGN_SELF_SERVICE_VALUE" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="APP_ASSIGN_SELF_SERVICE_VALUE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ID" type="INTEGER" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true"/>
        <column name="APP_NUMBER" type="INTEGER" required="false" default="0"/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <column name="GRP_UID" type="LONGVARCHAR" required="true"/>
        <index name="indexAppUid">
            <index-column name="APP_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="APP_ASSIGN_SELF_SERVICE_VALUE"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppUid"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
    </table>

    <table name="APP_ASSIGN_SELF_SERVICE_VALUE_GROUP" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="APP_ASSIGN_SELF_SERVICE_VALUE_GROUP"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ID" type="INTEGER" required="true" default="0" />
        <column name="GRP_UID" type="VARCHAR" size="32" required="true" />
        <column name="ASSIGNEE_ID" type="INTEGER" required="false" default="0"/>
        <column name="ASSIGNEE_TYPE" type="INTEGER" required="true" default="0" />
        <index name="indexId">
            <index-column name="ID"/>
        </index>
        <index name="INDEX_ASSIGNEE_ID">
            <index-column name="ASSIGNEE_ID"/>
        </index>
    </table>

    <table name="LIST_INBOX">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_INBOX"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Inbox list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_STATUS" type="VARCHAR" size="32" required="false" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_PREVIOUS_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_PREVIOUS_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_PREVIOUS_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_RISK_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <column name="APP_STATUS_ID" type="TINYINT" required="false" default="0"/>
        <index name="indexUser">
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_INBOX"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexUser"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexInboxUser">
            <index-column name="USR_UID"/>
            <index-column name="DEL_DELEGATE_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_INBOX"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexInboxUser"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexInboxUserStatusUpdateDate">
            <index-column name="USR_UID"/>
            <index-column name="APP_STATUS"/>
            <index-column name="APP_UPDATE_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_INBOX"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexInboxUserStatusUpdateDate"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexAppNumber">
            <index-column name="APP_NUMBER"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_INBOX"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexAppNumber"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
        <index name="INDEX_APP_STATUS_ID">
            <index-column name="APP_STATUS_ID"/>
        </index>
    </table>
    <table name="LIST_PARTICIPATED_HISTORY">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_PARTICIPATED_HISTORY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Participated history list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_PREVIOUS_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_PREVIOUS_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_PREVIOUS_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_CURRENT_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <index name="indexInboxUser">
            <index-column name="USR_UID"/>
            <index-column name="DEL_DELEGATE_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_PARTICIPATED_HISTORY"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexParticipatedUser"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
    </table>
    <table name="LIST_PARTICIPATED_LAST">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_PARTICIPATED_LAST"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Participated last list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_STATUS" type="VARCHAR" size="20" required="false" default="0"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_PREVIOUS_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_PREVIOUS_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_PREVIOUS_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_CURRENT_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_TAS_TITLE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="DEL_THREAD_STATUS" type="VARCHAR" size="32" required="true" default="OPEN"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <column name="APP_STATUS_ID" type="TINYINT" required="false" default="0"/>
        <index name="usrIndex">
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_PARTICIPATED_LAST"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="usrIndex"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="delDelegateDate">
            <index-column name="DEL_DELEGATE_DATE"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_PARTICIPATED_LAST"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="delDelegateDate"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="indexDelegateDateUsrUid">
            <index-column name="DEL_DELEGATE_DATE"/>
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_PARTICIPATED_LAST"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexDelegateDateUsrUid"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
    </table>
    <table name="LIST_COMPLETED">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_COMPLETED"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Completed list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_CREATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_FINISH_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_CURRENT_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_CURRENT_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
        <index name="usrListCompleted">
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_COMPLETED"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="usrListCompleted"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
    </table>
    <table name="LIST_PAUSED">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_PAUSED"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Paused list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PAUSED_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_RESTART_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_PREVIOUS_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_PREVIOUS_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_PREVIOUS_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_CURRENT_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
        <index name="indexPausedUser">
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_PAUSED"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexPausedUser"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
    </table>
    <table name="LIST_CANCELED">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_CANCELED"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Canceled list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_CANCELED_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_CURRENT_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_CURRENT_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
        <index name="indexCanceledUser">
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="LIST_CANCELED"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexCanceledUser"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
    </table>
    <table name="LIST_MY_INBOX">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_MY_INBOX"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="My Inbox list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_CREATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_FINISH_DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_STATUS" type="VARCHAR" size="100" required="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_PREVIOUS_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_PREVIOUS_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_PREVIOUS_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_CURRENT_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_CURRENT_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_CURRENT_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_INIT_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <column name="APP_STATUS_ID" type="TINYINT" required="false" default="0"/>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
    </table>
    <table name="LIST_UNASSIGNED">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_UNASSIGNED"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Unassigned list"/>
        </vendor>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" primaryKey="true" default="0"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="APP_NUMBER" type="INTEGER" required="true" default="0"/>
        <column name="APP_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_PRO_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="APP_TAS_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="DEL_PREVIOUS_USR_USERNAME" type="VARCHAR" size="100" default=""/>
        <column name="DEL_PREVIOUS_USR_FIRSTNAME" type="VARCHAR" size="50" default=""/>
        <column name="DEL_PREVIOUS_USR_LASTNAME" type="VARCHAR" size="50" default=""/>
        <column name="APP_UPDATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_PREVIOUS_USR_UID" type="VARCHAR" size="32" default=""/>
        <column name="DEL_DELEGATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DEL_DUE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DEL_PRIORITY" type="VARCHAR" size="32" required="true" default="3"/>
        <column name="PRO_ID" type="INTEGER" required="false" default="0"/>
        <column name="TAS_ID" type="INTEGER" required="false" default="0"/>
        <index name="INDEX_PRO_ID">
            <index-column name="PRO_ID"/>
        </index>
        <index name="INDEX_TAS_ID">
            <index-column name="TAS_ID"/>
        </index>
    </table>
    <table name="LIST_UNASSIGNED_GROUP">
        <vendor type="mysql">
            <parameter name="Name" value="LIST_UNASSIGNED_GROUP"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Rows" value="88"/>
            <parameter name="Avg_row_length" value="311"/>
            <parameter name="Data_length" value="27984"/>
            <parameter name="Max_data_length" value="281474976710655"/>
            <parameter name="Index_length" value="7168"/>
            <parameter name="Data_free" value="564"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Create_time" value="2014-10-10 14:00:00"/>
            <parameter name="Update_time" value="2014-10-10 14:00:00"/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Unassiged list"/>
        </vendor>
        <column name="UNA_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="TYPE" type="VARCHAR" size="255" required="true" primaryKey="true" default=""/>
        <column name="TYP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="USR_ID" type="INTEGER" required="false" default="0"/>
        <index name="INDEX_USR_ID">
            <index-column name="USR_ID"/>
        </index>
    </table>
    <table name="MESSAGE_TYPE">
        <vendor type="mysql">
            <parameter name="Name" value="MESSAGE_TYPE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="MSGT_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="MSGT_NAME" type="VARCHAR" size="512" default=""/>
    </table>
    <table name="MESSAGE_TYPE_VARIABLE">
        <vendor type="mysql">
            <parameter name="Name" value="MESSAGE_TYPE_VARIABLE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="MSGTV_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="MSGT_UID" type="VARCHAR" size="32" required="true"/>
        <column name="MSGTV_NAME" type="VARCHAR" size="512" default=""/>
        <column name="MSGTV_DEFAULT_VALUE" type="VARCHAR" size="512" default=""/>
    </table>
    <table name="EMAIL_SERVER">
        <vendor type="mysql">
            <parameter name="Name" value="EMAIL_SERVER"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="MESS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="MESS_ENGINE" type="VARCHAR" size="256" required="true" default=""/>
        <column name="MESS_SERVER" type="VARCHAR" size="256" required="true" default=""/>
        <column name="MESS_PORT" type="INTEGER" required="true" default="0"/>
        <column name="MESS_INCOMING_SERVER" type="VARCHAR" size="256" required="true" default=""/>
        <column name="MESS_INCOMING_PORT" type="INTEGER" required="true" default="0"/>
        <column name="MESS_RAUTH" type="INTEGER" required="true" default="0"/>
        <column name="MESS_ACCOUNT" type="VARCHAR" size="256" required="true" default=""/>
        <column name="MESS_PASSWORD" type="VARCHAR" size="256" required="true" default=""/>
        <column name="MESS_FROM_MAIL" type="VARCHAR" size="256" default=""/>
        <column name="MESS_FROM_NAME" type="VARCHAR" size="256" default=""/>
        <column name="SMTPSECURE" type="VARCHAR" size="3" required="true" default="No"/>
        <column name="MESS_TRY_SEND_INMEDIATLY" type="INTEGER" required="true" default="0"/>
        <column name="MAIL_TO" type="VARCHAR" size="256" required="false" default=""/>
        <column name="MESS_DEFAULT" type="INTEGER" required="true" default="0"/>
        <column name="OAUTH_CLIENT_ID" type="VARCHAR" size="512" required="true" default=""/>
        <column name="OAUTH_CLIENT_SECRET" type="VARCHAR" size="512" required="true" default=""/>
        <column name="OAUTH_REFRESH_TOKEN" type="LONGVARCHAR" required="false"/>
    </table>

    <table name="WEB_ENTRY_EVENT">
        <vendor type="mysql">
            <parameter name="Name" value="WEB_ENTRY_EVENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="WEE_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="WEE_TITLE" type="LONGVARCHAR" required="false"/>
        <column name="WEE_DESCRIPTION" type="LONGVARCHAR" required="false"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="EVN_UID" type="VARCHAR" size="32" required="true"/>
        <column name="ACT_UID" type="VARCHAR" size="32" required="true"/>
        <column name="DYN_UID" type="VARCHAR" size="32" required="false"/>
        <column name="USR_UID" type="VARCHAR" size="32" required="false"/>
        <column name="WEE_STATUS" type="VARCHAR" size="10" required="true" default="ENABLED"/>
        <column name="WEE_WE_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="WEE_WE_TAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <validator column="WEE_STATUS">
            <rule name="validValues" value="ENABLED|DISABLED" message="Please enter a valid value for WEE_STATUS"/>
        </validator>
    </table>

    <table name="MESSAGE_EVENT_DEFINITION">
        <vendor type="mysql">
            <parameter name="Name" value="MESSAGE_EVENT_DEFINITION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="MSGED_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="EVN_UID" type="VARCHAR" size="32" required="true"/>
        <column name="MSGT_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="MSGED_USR_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="MSGED_VARIABLES" type="LONGVARCHAR" required="true"/>
        <column name="MSGED_CORRELATION" type="VARCHAR" size="512" required="true" default=""/>
    </table>

    <table name="MESSAGE_EVENT_RELATION">
        <vendor type="mysql">
            <parameter name="Name" value="MESSAGE_EVENT_RELATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="MSGER_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="EVN_UID_THROW" type="VARCHAR" size="32" required="true"/>
        <column name="EVN_UID_CATCH" type="VARCHAR" size="32" required="true"/>
    </table>

    <table name="MESSAGE_APPLICATION">
        <vendor type="mysql">
            <parameter name="Name" value="MESSAGE_APPLICATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="MSGAPP_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="EVN_UID_THROW" type="VARCHAR" size="32" required="true"/>
        <column name="EVN_UID_CATCH" type="VARCHAR" size="32" required="true"/>
        <column name="MSGAPP_VARIABLES" type="LONGVARCHAR" required="true"/>
        <column name="MSGAPP_CORRELATION" type="VARCHAR" size="512" required="true" default=""/>
        <column name="MSGAPP_THROW_DATE" type="TIMESTAMP" required="true"/>
        <column name="MSGAPP_CATCH_DATE" type="TIMESTAMP" required="false"/>
        <column name="MSGAPP_STATUS" type="VARCHAR" size="25" required="true" default="UNREAD"/>
        <validator column="MSGAPP_STATUS">
            <rule name="validValues" value="READ|UNREAD" message="Please enter a valid value for MSGAPP_STATUS"/>
        </validator>
    </table>
    <table name="ELEMENT_TASK_RELATION">
        <vendor type="mysql">
            <parameter name="Name" value="ELEMENT_TASK_RELATION"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="ETR_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="ELEMENT_UID" type="VARCHAR" size="32" required="true"/>
        <column name="ELEMENT_TYPE" type="VARCHAR" size="50" required="true" default=""/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true"/>
    </table>
    <table name="ABE_CONFIGURATION">
        <vendor type="mysql">
            <parameter name="Name" value="ABE_CONFIGURATION"/>
            <parameter name="Engine" value="MyISAM"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="The plugin table for actionsByEmail"/>
        </vendor>
        <column name="ABE_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value="PRI"/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="PRO_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="TAS_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_TYPE" type="VARCHAR" size="10" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_TYPE"/>
                <parameter name="Type" value="varchar(10)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_TEMPLATE" type="VARCHAR" size="100" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_TEMPLATE"/>
                <parameter name="Type" value="varchar(100)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_DYN_TYPE" type="VARCHAR" size="10" required="true" default="NORMAL">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_DYN_TYPE"/>
                <parameter name="Type" value="varchar(10)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value="NORMAL"/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="DYN_UID" type="VARCHAR" size="32" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="DYN_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_EMAIL_FIELD" type="VARCHAR" size="255" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_ACTION_FIELD"/>
                <parameter name="Type" value="varchar(255)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_ACTION_FIELD" type="VARCHAR" size="255" required="false" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_ACTION_FIELD"/>
                <parameter name="Type" value="varchar(255)"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_ACTION_BODY_FIELD" type="VARCHAR" size="255" required="false" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_ACTION_BODY_FIELD"/>
                <parameter name="Type" value="varchar(255)"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_CASE_NOTE_IN_RESPONSE" type="INTEGER" default="0"/>
        <column name="ABE_FORCE_LOGIN" type="INTEGER" default="0"/>
        <column name="ABE_CREATE_DATE" type="TIMESTAMP" required="true">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_CREATE_DATE"/>
                <parameter name="Type" value="datetime"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_UPDATE_DATE" type="TIMESTAMP" required="false">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_CREATE_UPDATE"/>
                <parameter name="Type" value="datetime"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_SUBJECT_FIELD" type="VARCHAR" size="100" required="false" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_SUBJECT_FIELD"/>
                <parameter name="Type" value="varchar(100)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_MAILSERVER_OR_MAILCURRENT" type="INTEGER" required="false" default="0">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_MAILSERVER_OR_MAILCURRENT"/>
                <parameter name="Type" value="int(1)"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value="0"/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_CUSTOM_GRID" type="LONGVARCHAR" required="false">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_CUSTOM_GRID"/>
                <parameter name="Default" value=""/>
            </vendor>
        </column>
        <column name="ABE_EMAIL_SERVER_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="ABE_EMAIL_SERVER_RECEIVER_UID" type="VARCHAR" size="32" required="false" default=""/>
        <index name="indexAbeProcess">
            <index-column name="PRO_UID"/>
        </index>
        <index name="indexAbeProcessTask">
            <index-column name="PRO_UID"/>
            <index-column name="TAS_UID"/>
        </index>
    </table>

    <table name="ABE_REQUESTS">
        <vendor type="mysql">
            <parameter name="Name" value="ABE_REQUESTS"/>
            <parameter name="Engine" value="MyISAM"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="The plugin table for actionsByEmail"/>
        </vendor>
        <column name="ABE_REQ_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value="PRI"/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_UID" type="VARCHAR" size="32" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="APP_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0">
            <vendor type="mysql">
                <parameter name="Field" value="DEL_INDEX"/>
                <parameter name="Type" value="int(11)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value="0"/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_REQ_SENT_TO" type="VARCHAR" size="100" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_SENT_TO"/>
                <parameter name="Type" value="varchar(100)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_REQ_SUBJECT" type="VARCHAR" size="150" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_SUBJECT"/>
                <parameter name="Type" value="varchar(150)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_REQ_BODY" type="LONGVARCHAR" required="true">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_BODY"/>
                <parameter name="Type" value="MEDIUMTEXT"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_REQ_DATE" type="TIMESTAMP" required="true">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_DATE"/>
                <parameter name="Type" value="datetime"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_REQ_STATUS" type="VARCHAR" size="10" required="false" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_STATUS"/>
                <parameter name="Type" value="varchar(10)"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_REQ_ANSWERED" type="TINYINT" required="true" default="0">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_ANSWERED"/>
                <parameter name="Type" value="TINYINT"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value="0"/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
    </table>

    <table name="ABE_RESPONSES">
        <vendor type="mysql">
            <parameter name="Name" value="ABE_RESPONSES"/>
            <parameter name="Engine" value="MyISAM"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="The plugin table for actionsByEmail"/>
        </vendor>
        <column name="ABE_RES_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_RES_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value="PRI"/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_REQ_UID" type="VARCHAR" size="32" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_REQ_UID"/>
                <parameter name="Type" value="varchar(32)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_RES_CLIENT_IP" type="VARCHAR" size="20" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_RES_CLIENT_IP"/>
                <parameter name="Type" value="varchar(20)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_RES_DATA" type="LONGVARCHAR" required="true">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_RES_DATA"/>
                <parameter name="Type" value="text"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value="0"/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_RES_DATE" type="TIMESTAMP" required="true">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_RES_DATE"/>
                <parameter name="Type" value="datetime"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_RES_STATUS" type="VARCHAR" size="10" required="true" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_RES_STATUS"/>
                <parameter name="Type" value="varchar(10)"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="ABE_RES_MESSAGE" type="VARCHAR" size="255" required="false" default="">
            <vendor type="mysql">
                <parameter name="Field" value="ABE_RES_MESSAGE"/>
                <parameter name="Type" value="varchar(255)"/>
                <parameter name="Null" value="YES"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
    </table>

    <table name="USR_REPORTING">
        <vendor type="mysql">
            <parameter name="Name" value="USR_REPORTING"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Data calculated users by task"/>
        </vendor>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="TAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true"/>
        <column name="MONTH" type="INTEGER" required="true" default="0" primaryKey="true"/>
        <column name="YEAR" type="INTEGER" required="true" default="0" primaryKey="true"/>
        <column name="TOTAL_QUEUE_TIME_BY_TASK" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_TIME_BY_TASK" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_IN" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_OUT" type="DECIMAL" size="7,2" default="0"/>
        <column name="USER_HOUR_COST" type="DECIMAL" size="7,2" default="0"/>
        <column name="AVG_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="SDV_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="CONFIGURED_TASK_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_OVERDUE" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_ON_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="PRO_COST" type="DECIMAL" size="7,2" required="false" default="0"/>
        <column name="PRO_UNIT_COST" type="VARCHAR" size="50" required="false" default=""/>
        <index name="indexReporting">
            <index-column name="USR_UID"/>
            <index-column name="TAS_UID"/>
            <index-column name="PRO_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="USR_REPORTING"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexReporting"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="USR_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>

    <table name="PRO_REPORTING">
        <vendor type="mysql">
            <parameter name="Name" value="PRO_REPORTING"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Data calculated by process"/>
        </vendor>
        <column name="PRO_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="MONTH" type="INTEGER" required="true" default="0" primaryKey="true"/>
        <column name="YEAR" type="INTEGER" required="true" default="0" primaryKey="true"/>
        <column name="AVG_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="SDV_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_IN" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_OUT" type="DECIMAL" size="7,2" default="0"/>
        <column name="CONFIGURED_PROCESS_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="CONFIGURED_PROCESS_COST" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_OPEN" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_OVERDUE" type="DECIMAL" size="7,2" default="0"/>
        <column name="TOTAL_CASES_ON_TIME" type="DECIMAL" size="7,2" default="0"/>
        <column name="PRO_COST" type="DECIMAL" size="7,2" required="false" default="0"/>
        <column name="PRO_UNIT_COST" type="VARCHAR" size="50" required="false" default=""/>
    </table>

    <table name="DASHBOARD">
        <vendor type="mysql">
            <parameter name="Name" value="DASHBOARD"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Dashboard definitions."/>
        </vendor>
        <column name="DAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DAS_TITLE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="DAS_DESCRIPTION" type="LONGVARCHAR" required="false"/>
        <column name="DAS_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DAS_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DAS_STATUS" type="TINYINT" required="true" default="1"/>
    </table>

    <table name="DASHBOARD_INDICATOR">
        <vendor type="mysql">
            <parameter name="Name" value="DASHBOARD_INDICATOR"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Dashboard Indicators definitions."/>
        </vendor>
        <column name="DAS_IND_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="DAS_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DAS_IND_TYPE" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DAS_IND_TITLE" type="VARCHAR" size="255" required="true" default=""/>
        <column name="DAS_IND_GOAL" type="DECIMAL" size="7,2" default="0"/>
        <column name="DAS_IND_DIRECTION" type="TINYINT" required="true" default="2"/>
        <column name="DAS_UID_PROCESS" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DAS_IND_FIRST_FIGURE" type="VARCHAR" size="32" required="false" default=""/>
        <column name="DAS_IND_FIRST_FREQUENCY" type="VARCHAR" size="32" required="false" default=""/>
        <column name="DAS_IND_SECOND_FIGURE" type="VARCHAR" size="32" required="false" default=""/>
        <column name="DAS_IND_SECOND_FREQUENCY" type="VARCHAR" size="32" required="false" default=""/>
        <column name="DAS_IND_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="DAS_IND_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <column name="DAS_IND_STATUS" type="TINYINT" required="true" default="1"/>
        <foreign-key name="fk_dashboard_indicator_dashboard" foreignTable="DASHBOARD">
            <reference local="DAS_UID" foreign="DAS_UID"/>
        </foreign-key>
        <index name="indexDashboard">
            <index-column name="DAS_UID"/>
            <index-column name="DAS_IND_TYPE"/>
            <vendor type="mysql">
                <parameter name="Table" value="DASHBOARD_INDICATOR"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexDashboard"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="DAS_UID"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>

    <table name="DASHBOARD_DAS_IND">
        <vendor type="mysql">
            <parameter name="Name" value="DASHBOARD_DAS_IND"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Dashboard definitions to user."/>
        </vendor>
        <column name="DAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="OWNER_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="OWNER_TYPE" type="VARCHAR" size="15" required="true" default=""/>
        <foreign-key name="fk_dashboard_indicator_dashboard_das_ind" foreignTable="DASHBOARD">
            <reference local="DAS_UID" foreign="DAS_UID"/>
        </foreign-key>
    </table>


    <table name="CATALOG">
        <vendor type="mysql">
            <parameter name="Name" value="CATALOG"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Definitions catalog."/>
        </vendor>
        <column name="CAT_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="CAT_LABEL_ID" type="VARCHAR" size="100" required="true" default=""/>
        <column name="CAT_TYPE" type="VARCHAR" size="100" required="true" primaryKey="true" default=""/>
        <column name="CAT_FLAG" type="VARCHAR" size="50" required="false" default=""/>
        <column name="CAT_OBSERVATION" type="LONGVARCHAR" required="false"/>
        <column name="CAT_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="CAT_UPDATE_DATE" type="TIMESTAMP" required="false"/>
        <index name="indexType">
            <index-column name="CAT_TYPE"/>
            <vendor type="mysql">
                <parameter name="Table" value="CATALOG"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexDashboard"/>
                <parameter name="Seq_in_index" value="1"/>
                <parameter name="Column_name" value="CAT_TYPE"/>
                <parameter name="Collation" value="A"/>
                <parameter name="Cardinality" value=""/>
                <parameter name="Sub_part" value=""/>
                <parameter name="Packed" value=""/>
                <parameter name="Null" value=""/>
                <parameter name="Index_type" value="BTREE"/>
                <parameter name="Comment" value=""/>
            </vendor>
        </index>
    </table>

    <table name="SCRIPT_TASK">
        <vendor type="mysql">
            <parameter name="Name" value="SCRIPT_TASK"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="SCRTAS_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="ACT_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="SCRTAS_OBJ_TYPE" type="VARCHAR" size="10" required="true" default="TRIGGER"/>
        <column name="SCRTAS_OBJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <validator column="SCRTAS_OBJ_TYPE">
            <rule name="validValues" value="TRIGGER" message="Please set a valid value for SCRTAS_OBJ_TYPE"/>
        </validator>
    </table>

    <table name="TIMER_EVENT">
        <vendor type="mysql">
            <parameter name="Name" value="TIMER_EVENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="TMREVN_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true"/>
        <column name="EVN_UID" type="VARCHAR" size="32" required="true"/>
        <column name="TMREVN_OPTION" type="VARCHAR" size="50" required="true" default="DAILY"/>
        <column name="TMREVN_START_DATE" type="DATE" required="false"/>
        <column name="TMREVN_END_DATE" type="DATE" required="false"/>
        <column name="TMREVN_DAY" type="VARCHAR" size="5" required="true" default=""/>
        <column name="TMREVN_HOUR" type="VARCHAR" size="5" required="true" default=""/>
        <column name="TMREVN_MINUTE" type="VARCHAR" size="5" required="true" default=""/>
        <column name="TMREVN_CONFIGURATION_DATA" type="LONGVARCHAR" required="true"/>
        <column name="TMREVN_NEXT_RUN_DATE" type="TIMESTAMP" required="false"/>
        <column name="TMREVN_LAST_RUN_DATE" type="TIMESTAMP" required="false"/>
        <column name="TMREVN_LAST_EXECUTION_DATE" type="TIMESTAMP" required="false"/>
        <column name="TMREVN_STATUS" type="VARCHAR" size="25" required="true" default="ACTIVE"/>
        <validator column="TMREVN_OPTION">
            <rule name="validValues"
                  value="HOURLY|DAILY|MONTHLY|EVERY|ONE-DATE-TIME|WAIT-FOR|WAIT-UNTIL-SPECIFIED-DATE-TIME"
                  message="Please set a valid value for TMREVN_OPTION"/>
        </validator>
        <validator column="TMREVN_STATUS">
            <rule name="validValues" value="ACTIVE|INACTIVE|PROCESSED"
                  message="Please set a valid value for TMREVN_STATUS"/>
        </validator>
    </table>

    <table name="EMAIL_EVENT">
        <vendor type="mysql">
            <parameter name="Name" value="EMAIL_EVENT"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
        </vendor>
        <column name="EMAIL_EVENT_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="PRJ_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="EVN_UID" type="VARCHAR" size="32" required="true"/>
        <column name="EMAIL_EVENT_FROM" type="VARCHAR" size="100" required="true" default=""/>
        <column name="EMAIL_EVENT_TO" type="LONGVARCHAR" required="true"/>
        <column name="EMAIL_EVENT_SUBJECT" type="VARCHAR" size="255" required="false" default=""/>
        <column name="PRF_UID" type="VARCHAR" size="32" required="false" default=""/>
        <column name="EMAIL_SERVER_UID" type="VARCHAR" size="32" required="false" default=""/>
    </table>

    <table name="NOTIFICATION_DEVICE">
        <vendor type="mysql">
            <parameter name="Name" value="NOTIFICATION_DEVICE"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Definitions Notification device."/>
        </vendor>
        <column name="DEV_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="USR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="SYS_LANG" type="VARCHAR" size="10" required="false" default=""/>
        <column name="DEV_REG_ID" type="VARCHAR" size="255" required="true" default=""/>
        <column name="DEV_TYPE" type="VARCHAR" size="50" required="true" default=""/>
        <column name="DEV_CREATE" type="TIMESTAMP" required="true"/>
        <column name="DEV_UPDATE" type="TIMESTAMP" required="true"/>
        <index name="indexUserNotification">
            <index-column name="USR_UID"/>
            <vendor type="mysql">
                <parameter name="Table" value="NOTIFICATION_DEVICE"/>
                <parameter name="Non_unique" value="1"/>
                <parameter name="Key_name" value="indexUserNotification"/>
                <parameter name="Seq_in_index" value="1"/>
            </vendor>
        </index>
    </table>

    <table name="GMAIL_RELABELING">
        <vendor type="mysql">
            <parameter name="Name" value="GMAIL_RELABELING"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Task for label relabaling"/>
        </vendor>
        <column name="LABELING_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="CURRENT_LAST_INDEX" type="INTEGER" required="true" default="0"/>
        <column name="UNASSIGNED" type="INTEGER" required="true" default="0"/>
        <column name="STATUS" type="VARCHAR" size="32" required="true" default="pending"/>
        <column name="MSG_ERROR" type="LONGVARCHAR"/>
        <index name="indexStatus">
            <index-column name="STATUS"/>
        </index>
    </table>
    <table name="NOTIFICATION_QUEUE" idMethod="native">
        <column name="NOT_UID" type="VARCHAR" size="32" required="true" primaryKey="true"/>
        <column name="DEV_TYPE" type="VARCHAR" size="50" required="true"/>
        <column name="DEV_UID" type="LONGVARCHAR" required="true"/>
        <column name="NOT_MSG" type="LONGVARCHAR" required="true"/>
        <column name="NOT_DATA" type="LONGVARCHAR" required="true"/>
        <column name="NOT_STATUS" type="VARCHAR" size="150" required="true"/>
        <column name="NOT_SEND_DATE" type="TIMESTAMP" required="true"/>
        <column name="APP_UID" type="VARCHAR" size="32" required="true" default=""/>
        <column name="DEL_INDEX" type="INTEGER" required="true" default="0"/>
        <index name="indexNotStatus">
            <index-column name="NOT_STATUS"/>
        </index>
    </table>
    <table name="PLUGINS_REGISTRY" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="PLUGINS_REGISTRY"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Details of plugins registry"/>
        </vendor>
        <!--PluginDetails-->
        <column name="PR_UID" type="VARCHAR" size="32" required="true" primaryKey="true" default=""/>
        <column name="PLUGIN_NAMESPACE" type="VARCHAR" size="100" required="true"/>
        <column name="PLUGIN_DESCRIPTION" type="LONGVARCHAR">
            <vendor type="mysql">
                <parameter name="Field" value="PLUGIN_DESCRIPTION"/>
                <parameter name="Type" value="MEDIUMTEXT"/>
                <parameter name="Null" value="NO"/>
                <parameter name="Key" value=""/>
                <parameter name="Default" value=""/>
                <parameter name="Extra" value=""/>
            </vendor>
        </column>
        <column name="PLUGIN_CLASS_NAME" type="VARCHAR" size="100" required="true"/>
        <column name="PLUGIN_FRIENDLY_NAME" type="VARCHAR" size="150" default=""/>
        <column name="PLUGIN_FILE" type="VARCHAR" size="250" required="true"/>
        <column name="PLUGIN_FOLDER" type="VARCHAR" size="100" required="true"/>
        <column name="PLUGIN_SETUP_PAGE" type="VARCHAR" size="100" default=""/>
        <column name="PLUGIN_COMPANY_LOGO" type="VARCHAR" size="100" default=""/>
        <column name="PLUGIN_WORKSPACES" type="VARCHAR" size="100" default=""/>
        <column name="PLUGIN_VERSION" type="VARCHAR" size="50" default=""/>
        <column name="PLUGIN_ENABLE" type="TINYINT" default="0"/>
        <column name="PLUGIN_PRIVATE" type="TINYINT" default="0"/>
        <!--PluginProperties-->
        <column name="PLUGIN_MENUS" type="LONGVARCHAR"/>
        <column name="PLUGIN_FOLDERS" type="LONGVARCHAR"/>
        <column name="PLUGIN_TRIGGERS" type="LONGVARCHAR"/>
        <column name="PLUGIN_PM_FUNCTIONS" type="LONGVARCHAR"/>
        <column name="PLUGIN_REDIRECT_LOGIN" type="LONGVARCHAR"/>
        <column name="PLUGIN_STEPS" type="LONGVARCHAR"/>
        <column name="PLUGIN_CSS" type="LONGVARCHAR"/>
        <column name="PLUGIN_JS" type="LONGVARCHAR"/>
        <column name="PLUGIN_REST_SERVICE" type="LONGVARCHAR"/>
        <column name="PLUGIN_CRON_FILES" type="LONGVARCHAR"/>
        <column name="PLUGIN_TASK_EXTENDED_PROPERTIES" type="LONGVARCHAR"/>
        <column name="PLUGIN_ATTRIBUTES" type="LONGVARCHAR"/>
    </table>

    <table name="APP_DATA_CHANGE_LOG" idMethod="native">
        <vendor type="mysql">
            <parameter name="Name" value="APP_DATA_CHANGE_LOG"/>
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Version" value="10"/>
            <parameter name="Row_format" value="Dynamic"/>
            <parameter name="Data_free" value="0"/>
            <parameter name="Auto_increment" value=""/>
            <parameter name="Check_time" value=""/>
            <parameter name="Collation" value="utf8_general_ci"/>
            <parameter name="Checksum" value=""/>
            <parameter name="Create_options" value=""/>
            <parameter name="Comment" value="Change log"/>
        </vendor>
        <column name="CHANGE_LOG_ID" type="INTEGER" required="true" autoIncrement="true" unique="true" primaryKey="true"/>
        <column name="DATE" type="TIMESTAMP" required="false"/>
        <column name="APP_NUMBER" type="INTEGER" default="0" required="false"/>
        <column name="DEL_INDEX" type="INTEGER" default="0" required="false"/>
        <column name="PRO_ID" type="INTEGER" default="0" required="false"/>
        <column name="TAS_ID" type="INTEGER" default="0" required="false"/>
        <column name="USR_ID" type="INTEGER" default="0" required="false"/>
        <column name="OBJECT_TYPE" type="INTEGER" default="0" required="false"/>
        <column name="OBJECT_ID" type="INTEGER" default="0" required="false"/>
        <column name="OBJECT_UID" type="VARCHAR" size="32" default="" required="false"/>
        <column name="EXECUTED_AT" type="INTEGER" default="0" required="false"/>
        <column name="SOURCE_ID" type="INTEGER" default="0" required="false"/>
        <column name="DATA" type="LONGVARCHAR" required="true"/>
        <column name="SKIN" type="VARCHAR" size="32" default="" required="false"/>
        <column name="LANGUAGE" type="VARCHAR" size="32" default="" required="false"/>
        <column name="ROW_MIGRATION" type="INTEGER" default="0" required="false"/>
        <index name="indexAppNumber">
            <index-column name="APP_NUMBER"/>
        </index>
        <index name="indexDelIndex">
            <index-column name="DEL_INDEX"/>
        </index>
        <index name="indexProId">
            <index-column name="PRO_ID"/>
        </index>
        <index name="indexTasId">
            <index-column name="TAS_ID"/>
        </index>
        <index name="indexUsrId">
            <index-column name="USR_ID"/>
        </index>
        <index name="indexObjectType">
            <index-column name="OBJECT_TYPE"/>
        </index>
        <index name="indexObjectId">
            <index-column name="OBJECT_ID"/>
        </index>
        <index name="indexExecutedAt">
            <index-column name="EXECUTED_AT"/>
        </index>
        <index name="indexSourceId">
            <index-column name="SOURCE_ID"/>
        </index>
    </table>
    <table name="JOBS_PENDING" idMethod="native">
        <vendor type="mysql">
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Collation" value="utf8"/>
        </vendor>
        <column name="id" type="BIGINT" size="20" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="queue" type="VARCHAR" size="255" required="true"/>
        <column name="payload" type="LONGVARCHAR" required="true"/>
        <column name="attempts" type="TINYINT" required="true"/>
        <column name="reserved_at" type="BIGINT" size="20" required="false"/>
        <column name="available_at" type="BIGINT" size="20" required="true"/>
        <column name="created_at" type="BIGINT" size="20" required="true"/>
        <index name="jobs_queue_index">
            <index-column name="queue"/>
        </index>
    </table>
    <table name="JOBS_FAILED" idMethod="native">
        <vendor type="mysql">
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Collation" value="utf8"/>
        </vendor>
        <column name="id" type="BIGINT" size="20" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="connection" type="LONGVARCHAR" required="true"/>
        <column name="queue" type="LONGVARCHAR" required="true"/>
        <column name="payload" type="LONGVARCHAR" required="true"/>
        <column name="exception" type="LONGVARCHAR" required="true"/>
        <column name="failed_at" type="TIMESTAMP" required="true"/>
    </table>
    <table name="SCHEDULER" idMethod="native">
        <vendor type="mysql">
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Collation" value="utf8"/>
        </vendor>
        <column name="id" type="BIGINT" size="20" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="title" type="VARCHAR"  size="255" required="false"/>
        <column name="startingTime" type="VARCHAR"  size="100" required="false"/>
        <column name="endingTime" type="VARCHAR"  size="100" required="false"/>
        <column name="everyOn" type="VARCHAR"  size="255" required="false"/>
        <column name="interval" type="VARCHAR"  size="10" required="false"/>
        <column name="description" type="VARCHAR"  size="255" required="false"/>
        <column name="expression" type="VARCHAR"  size="255" required="false"/>
        <column name="default_value" type="LONGVARCHAR" required="false"/>
        <column name="body" type="VARCHAR"  size="255" required="false"/>
        <column name="type" type="VARCHAR"  size="255" required="false"/>
        <column name="category" type="VARCHAR"  size="255" required="false"/>
        <column name="system" type="TINYINT" required="false"/>
        <column name="timezone" type="VARCHAR"  size="255" required="false"/>
        <column name="enable" type="TINYINT" required="false"/>
        <column name="creation_date" type="TIMESTAMP" required="false"/>
        <column name="last_update" type="TIMESTAMP" required="false"/>
    </table>
    <table name="USER_EXTENDED_ATTRIBUTES" idMethod="native">
        <vendor type="mysql">
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Collation" value="utf8"/>
        </vendor>
        <column name="UEA_ID" type="BIGINT" size="20" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="UEA_NAME" type="VARCHAR" size="255" required="false"/>
        <column name="UEA_ATTRIBUTE_ID" type="VARCHAR" size="255" required="false"/>
        <column name="UEA_HIDDEN" type="INTEGER" required="false"/>
        <column name="UEA_REQUIRED" type="INTEGER" required="false"/>
        <column name="UEA_PASSWORD" type="INTEGER" required="false"/>
        <column name="UEA_OPTION" type="VARCHAR" size="255" required="false"/>
        <column name="UEA_ROLES" type="LONGVARCHAR" required="false"/>
        <column name="UEA_OWNER" type="BIGINT" size="20" required="false"/>
        <column name="UEA_DATE_CREATE" type="TIMESTAMP" required="false"/>
    </table>
    <table name="USER_CONFIG" idMethod="native">
        <vendor type="mysql">
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Collation" value="utf8"/>
        </vendor>
        <column name="USR_ID" type="BIGINT" size="20" required="true" primaryKey="true"/>
        <column name="USC_NAME" type="VARCHAR" size="255" required="true" primaryKey="true"/>
        <column name="USC_SETTING" type="LONGVARCHAR" required="true"/>
    </table>
    <table name="CASE_LIST" idMethod="native">
        <vendor type="mysql">
            <parameter name="Engine" value="InnoDB"/>
            <parameter name="Collation" value="utf8"/>
        </vendor>
        <column name="CAL_ID" type="INTEGER" required="true" autoIncrement="true" primaryKey="true"/>
        <column name="CAL_TYPE" type="VARCHAR" size="255" required="true"/>
        <column name="CAL_NAME" type="VARCHAR" size="255" required="true"/>
        <column name="CAL_DESCRIPTION" type="LONGVARCHAR"/>
        <column name="ADD_TAB_UID" type="VARCHAR" size="32" required="true"/>
        <column name="CAL_COLUMNS" type="LONGVARCHAR"/>
        <column name="USR_ID" type="BIGINT" size="20" required="true"/>
        <column name="CAL_ICON_LIST" type="LONGVARCHAR"/>
        <column name="CAL_ICON_COLOR" type="VARCHAR" size="255"/>
        <column name="CAL_ICON_COLOR_SCREEN" type="VARCHAR" size="255"/>
        <column name="CAL_CREATE_DATE" type="TIMESTAMP" required="true"/>
        <column name="CAL_UPDATE_DATE" type="TIMESTAMP" required="true"/>
    </table>
</database>
